var userprofile = new Array();
var guestLogin = false;
var uid = "";
var sid = "";
var leagueNews = "";
var teamNews = "";
var tmpVersionNrAvailable = "";
var arrAds = new Array();
var arrAdLinks = new Array();
var arrAdIds = new Array();
var currAdIndex = 0;
var maxAdIndex = 0;
var adsRandom = false;
var fillRateAmount = 0;
var fillRateCurrent = 0;

function api_request(p_method, p_params)
{
	var tmpPar = "";
	if (p_params != null) {
		tmpPar = p_params + "&";
	}
	if (sid != "") {
		tmpPar += "session=" + sid;
	}
	return base + p_method + "?" + tmpPar;
}

function api_timestamp (p_ts, p_format, p_type)
		{
			//Convert from Java to Unix timestamp
			//p_ts /= 1000;
			try{
			if (p_format != false)
			{
				var tmpDate = new Date(parseInt(p_ts));
				var tmpMonth = tmpDate.getMonth() + 1;
				tmpMonth = (tmpMonth + "").length == 1 ? "0" + tmpMonth : tmpMonth;
				var tmpDay = (tmpDate.getDate() + "").length == 1 ? "0" + tmpDate.getDate() : tmpDate.getDate();
				var tmpHours = (tmpDate.getHours() + "").length == 1 ? "0" + tmpDate.getHours() : tmpDate.getHours();
				var tmpMinutes = (tmpDate.getMinutes() + "").length == 1 ? "0" + tmpDate.getMinutes() : tmpDate.getMinutes();
				return tmpDate.getFullYear() + "-" + tmpMonth + "-" + tmpDay + " " + tmpHours + ":" + tmpMinutes;
			} else {
				var tmpDate = new Date();
				diff = (tmpDate.getTime()) - p_ts;
				tmpReturn = "";
				switch(p_type){
					case "notification":
						if (diff >= 60000) tmpReturn = Math.floor(diff / 60000) + " " + str_mins + " " + str_ago;
						if (diff >= 3600000) tmpReturn = Math.floor(diff / 3600000) + " " + str_hours + " " + str_ago;
						if (diff >= 86400000) tmpReturn = Math.floor(diff / 86400000) + " " + str_days + " " + str_ago;
						if (diff >= 86400000000) tmpReturn = str_longTime + " " + str_ago;
						if (tmpReturn == "") tmpReturn = str_justNow;
						break;
					default:
						if (diff >= 60000) tmpReturn = Math.floor(diff / 60000) + "m ago";
						if (diff >= 3600000) tmpReturn = Math.floor(diff / 3600000) + "h ago";
						if (diff >= 86400000) tmpReturn = Math.floor(diff / 86400000) + "d ago";
						if (diff >= 86400000000) tmpReturn = "long time ago";
						if (tmpReturn == "") tmpReturn = Math.floor(diff) + "s ago";
						break;
				}
				return tmpReturn;
			}
			}
			catch(e){alert(e);}
		}

function api_user_avatar(p_avatar_id, p_width, p_height, p_rounding)
{
	url = base + 'user/avatar/';
	url += p_width + "x" + p_height;
	if (p_rounding) url += "x" + p_rounding;
	url += "/" + p_avatar_id + ".png";
	return url;
}

function api_media_thumb(p_url, p_width, p_height, p_alpha)
{
	tmpUrl = base + "media/thumb/image.png?url=" + p_url;
	if (p_width != "") tmpUrl += "&width=" + p_width;
	if (p_height != "") tmpUrl += "&height=" + p_height;
	if (p_alpha != "") tmpUrl += "&alpha=" + p_alpha;
	
	return tmpUrl;
}

function api_auth_register(p_nickname, p_pw, p_email, p_teamid, p_language, p_firstname, p_lastname, p_soc1, p_soc2)
{
	var params = "";
	params += 'username=' + p_nickname + '&password=' + p_pw + '&email=' + p_email + '&primaryTeam=' + p_teamid;
	params += '&language=' + p_language + '&firstName=' + p_firstname + '&lastName=' + p_lastname;
	if (p_soc1) params += '&memberCard=' + p_soc1 + '&memberCardOptional=' + p_soc2;
	params += '&via=' + setting_viaPar;
	params += '&specificHost=' + setting_specificHost;
	var url = api_request ('auth/register', params);
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_auth_register_result(req);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_auth_register_result(p_req)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		try {
			var status = p_req.responseXML.getElementsByTagName("status")[0].childNodes[0].nodeValue;
		} catch(e){
			var status = "OK";
		}
		if (status == "NOT_OK") {
			var errorMsgs = "";
			var errors = p_req.responseXML.getElementsByTagName("error");
			for (i=0; i<errors.length; i++) {
				var tmpErrId = "str_" + errors[i].attributes.getNamedItem("id").value;
				while(tmpErrId.indexOf(".") >= 0){
					tmpErrId = tmpErrId.replace(".", "_");
				}
				errorMsgs += getDynamicVar(tmpErrId) + "<br/>";
			}
			$("#registerErrors").html(errorMsgs);
			$(document).scrollTop(0);
		} else {
			$("#registerErrors").html("");
			handleRegistrationSent();
		}
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_auth_login (p_email, p_passwd, p_save, p_func, p_errFunc)
{
	var url = api_request ('auth/login', 'email=' + p_email + '&password=' + p_passwd + '&via=' + setting_viaPar);
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_auth_login_result(req, p_save, p_email, p_passwd, p_func, p_errFunc);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_auth_login_result(p_req, p_save, p_email, p_passwd, p_func, p_errFunc)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var status = p_req.responseXML.getElementsByTagName("status")[0].childNodes[0].nodeValue;
		if (status == "INVALID") {
			if (p_errFunc == false){
				var xmlResult = new Array();
				var errorMsgs = "";
				var errors = p_req.responseXML.getElementsByTagName("error");
				for (i = 0; i < errors.length; i++) {
					xmlResult[i] = errors[i].attributes.getNamedItem("id").value;
				}
				handleLoginErrors(xmlResult, p_email);
			} else {
				p_errFunc();
			}
		} else {
			guestLogin = false;
			$("#loginErrors").html("");
			uid = p_req.responseXML.getElementsByTagName("profileid")[0].childNodes[0].nodeValue;
			sid = p_req.responseXML.getElementsByTagName("session")[0].childNodes[0].nodeValue;
			if (p_save){
				widget.setPreferenceForKey(p_email, "loginUsername");
				widget.setPreferenceForKey(p_passwd, "loginPassword");
			}
			api_user_profile(uid, "own");
			p_func();
		}
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_auth_logout()
{
	var url = api_request ('auth/logout', null);
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_auth_forgotpw(p_email)
{
	var url = api_request ('auth/forgotpw', 'email=' + p_email + '&specificHost=' + setting_specificHost);
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_auth_forgotpw_result(req);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_auth_forgotpw_result(p_req)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		try {
			var status = p_req.responseXML.getElementsByTagName("status")[0].childNodes[0].nodeValue;
		} catch(e){
			var status = "OK";
		}
		if (status == "NOT_OK") {
			var errorMsgs = "";
			var errors = p_req.responseXML.getElementsByTagName("error");
			for (i=0; i<errors.length; i++) {
				var tmpErrId = "str_" + errors[i].attributes.getNamedItem("id").value;
				while(tmpErrId.indexOf(".") >= 0){
					tmpErrId = tmpErrId.replace(".", "_");
				}
				errorMsgs += getDynamicVar(tmpErrId) + "<br/>";
			}
			$("#forgotPwErrors").html(errorMsgs);
		} else {
			$("#forgotPwErrors").html("");
			$("#forgotPw_email").val("");
			$("#forgotPwErrors").html(str_forgot_success);
		}
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_auth_resendregistermail(p_email)
{
	var url = api_request ('auth/resendregistermail', 'email=' + p_email + '&specificHost=' + setting_specificHost);
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_auth_resendregistermail_result(req);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_auth_resendregistermail_result(p_req)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_user_profile(p_uid, p_type)
{
	var url = api_request ('user/profile', 'id=' + p_uid);
	ajaxCallCount++;
	var tmpAjaxCount = ajaxCallCount;
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_user_profile_result(req, p_type);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_user_profile_result(p_req, p_type)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		if (p_type == "own" || p_type == "statusUpdate") {
			var profile = p_req.responseXML.getElementsByTagName("profile")[0];
			userprofile["id"] = profile.attributes.getNamedItem("id").value;
			userprofile["visibility"] = profile.attributes.getNamedItem("visibility").value;
			userprofile["avatarid"] = profile.getElementsByTagName("avatarid")[0].childNodes[0].nodeValue;
			userprofile["nick"] = profile.getElementsByTagName("nick")[0].childNodes[0].nodeValue;
			if (profile.getElementsByTagName("firstname").length > 0 && profile.getElementsByTagName("firstname")[0].childNodes.length > 0) {
				userprofile["firstname"] = profile.getElementsByTagName("firstname")[0].childNodes[0].nodeValue;
			} else {
				userprofile["firstname"] = "";
			}
			if (profile.getElementsByTagName("lastname").length > 0 && profile.getElementsByTagName("lastname")[0].childNodes.length > 0) {
				userprofile["lastname"] = profile.getElementsByTagName("lastname")[0].childNodes[0].nodeValue;
			} else {
				userprofile["lastname"] = "";
			}
			userprofile["language"] = profile.getElementsByTagName("language")[0].childNodes[0].nodeValue;
			if (profile.getElementsByTagName("description").length > 0 && profile.getElementsByTagName("description")[0].childNodes.length > 0) {
				userprofile["description"] = profile.getElementsByTagName("description")[0].childNodes[0].nodeValue;
			} else {
				userprofile["description"] = "";
			}
			if (profile.getElementsByTagName("gender").length > 0 && profile.getElementsByTagName("gender")[0].childNodes.length > 0) {
				userprofile["gender"] = profile.getElementsByTagName("gender")[0].childNodes[0].nodeValue;
			} else {
				userprofile["gender"] = "";
			}
			if (profile.getElementsByTagName("birthday").length > 0 && profile.getElementsByTagName("birthday")[0].childNodes.length > 0) {
				userprofile["birthday"] = profile.getElementsByTagName("birthday")[0].childNodes[0].nodeValue;
			} else {
				userprofile["birthday"] = "";
			} 
			if (profile.getElementsByTagName("status")[0].getElementsByTagName("message").length > 0 && profile.getElementsByTagName("status")[0].getElementsByTagName("message")[0].childNodes.length > 0) {
				userprofile["status"] = profile.getElementsByTagName("status")[0].getElementsByTagName("message")[0].childNodes[0].nodeValue;
			} else {
				userprofile["status"] = "";
			}
			userprofile["email"] = profile.getElementsByTagName("email")[0].childNodes[0].nodeValue;
			if (profile.getElementsByTagName("mobilephone").length > 0 && profile.getElementsByTagName("mobilephone")[0].childNodes.length > 0) {
				userprofile["mobilephone"] = profile.getElementsByTagName("mobilephone")[0].childNodes[0].nodeValue;
			} else {
				userprofile["mobilephone"] = "";
			}
			if (profile.getElementsByTagName("membercard").length > 0 && profile.getElementsByTagName("membercard")[0].childNodes.length > 0) {
				userprofile["membercard"] = profile.getElementsByTagName("membercard")[0].childNodes[0].nodeValue;
			} else {
				userprofile["membercard"] = "";
			}
			if (profile.getElementsByTagName("memberCardOptional").length > 0 && profile.getElementsByTagName("memberCardOptional")[0].childNodes.length > 0) {
				userprofile["memberCardOptional"] = profile.getElementsByTagName("memberCardOptional")[0].childNodes[0].nodeValue;
			} else {
				userprofile["memberCardOptional"] = "";
			}
			userprofile["my_visibility"] = profile.getElementsByTagName("visibility")[0].childNodes[0].nodeValue;
			tmpTeam = profile.getElementsByTagName("teams")[0].getElementsByTagName("team")[0];
			userprofile["teamid"] = tmpTeam.attributes.getNamedItem("id").value;
			userprofile["leagueid"] = tmpTeam.attributes.getNamedItem("league").value;
			userprofile["team_avatarid"] = tmpTeam.attributes.getNamedItem("avatarid").value;
			userprofile["teamname"] = tmpTeam.childNodes[0].nodeValue;
			if (p_type == "statusUpdate")
				handleStatusUpdate_response();
		} else {
			var xmlResult = new Array();
			var profile = p_req.responseXML.getElementsByTagName("profile")[0];
			xmlResult["id"] = profile.attributes.getNamedItem("id").value;
			xmlResult["visibility"] = profile.attributes.getNamedItem("visibility").value;
			xmlResult["avatarid"] = profile.getElementsByTagName("avatarid")[0].childNodes[0].nodeValue;
			xmlResult["nick"] = profile.getElementsByTagName("nick")[0].childNodes[0].nodeValue;
			if (profile.getElementsByTagName("firstname").length > 0 && profile.getElementsByTagName("firstname")[0].childNodes.length > 0) {
				xmlResult["firstname"] = profile.getElementsByTagName("firstname")[0].childNodes[0].nodeValue;
			} else {
				xmlResult["firstname"] = "";
			}
			if (profile.getElementsByTagName("lastname").length > 0 && profile.getElementsByTagName("lastname")[0].childNodes.length > 0) {
				xmlResult["lastname"] = profile.getElementsByTagName("lastname")[0].childNodes[0].nodeValue;
			} else {
				xmlResult["lastname"] = "";
			}
			xmlResult["language"] = profile.getElementsByTagName("language")[0].childNodes[0].nodeValue;
			xmlResult["isfriend"] = profile.getElementsByTagName("isfriend")[0].childNodes[0].nodeValue;
			xmlResult["request"] = profile.getElementsByTagName("isfriend")[0].attributes.getNamedItem("request").value;
			if (xmlResult["visibility"] == "full"){
				if (profile.getElementsByTagName("description").length > 0 && profile.getElementsByTagName("description")[0].childNodes.length > 0) {
					xmlResult["description"] = profile.getElementsByTagName("description")[0].childNodes[0].nodeValue;
				} else {
					xmlResult["description"] = "";
				}
				if (profile.getElementsByTagName("gender").length > 0 && profile.getElementsByTagName("gender")[0].childNodes.length > 0) {
					xmlResult["gender"] =  profile.getElementsByTagName("gender")[0].childNodes[0].nodeValue;
				} else {
					xmlResult["gender"] = "";
				}
				if (profile.getElementsByTagName("birthday").length > 0 && profile.getElementsByTagName("birthday")[0].childNodes.length > 0) {
					xmlResult["birthday"] =  profile.getElementsByTagName("birthday")[0].childNodes[0].nodeValue;
				} else {
					xmlResult["birthday"] = "";
				}
				if (profile.getElementsByTagName("status").length > 0 && profile.getElementsByTagName("status")[0].childNodes.length > 0) {
					if (profile.getElementsByTagName("status")[0].getElementsByTagName("message").length > 0 && profile.getElementsByTagName("status")[0].getElementsByTagName("message")[0].childNodes.length > 0) {
						xmlResult["status"] = profile.getElementsByTagName("status")[0].getElementsByTagName("message")[0].childNodes[0].nodeValue;
					}
					else {
						xmlResult["status"] = "";
					}
				}
			}
			tmpTeam = profile.getElementsByTagName("teams")[0].getElementsByTagName("team")[0];
			xmlResult["teamid"] = tmpTeam.attributes.getNamedItem("id").value;
			xmlResult["leagueid"] = tmpTeam.attributes.getNamedItem("league").value;
			xmlResult["team_avatarid"] = tmpTeam.attributes.getNamedItem("avatarid").value;
			xmlResult["teamname"] = tmpTeam.childNodes[0].nodeValue;
			fillUserProfile(xmlResult);
		}
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_user_profileupdate(p_firstname, p_lastname, p_gender, p_descr, p_privacy, p_soc1, p_soc2, p_func)
{
	var params = "";
	params += 'firstName=' + p_firstname + '&lastName=' + p_lastname + '&description=' + p_descr + '&visibility=' + p_privacy;
	userprofile["firstname"] = p_firstname;
	userprofile["lafirstname"] = p_lastname;
	userprofile["description"] = p_descr;
	if (p_gender != "0"){
		params += '&gender=' + p_gender;
		userprofile["gender"] = p_gender;
	} 
	if (p_soc1){
		params += '&memberCard=' + p_soc1 + '&memberCardOptional=' + p_soc2;
		userprofile["membercard"] = p_soc1;
		userprofile["memberCardOptional"] = p_soc2;
	} else {
		params += '&memberCard=&memberCardOptional=';
		userprofile["membercard"] = "";
		userprofile["memberCardOptional"] = "";
	}
	
	var url = api_request ('user/profileupdate', params);

	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_user_profileupdate_result(req, p_func);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_user_profileupdate_result(p_req, p_func) 
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		try {
			var status = p_req.responseXML.getElementsByTagName("status")[0].childNodes[0].nodeValue;
		} catch(e){
			var status = "OK";
		}
		if (status == "NOT_OK") {
			var errorMsgs = "";
			var errors = p_req.responseXML.getElementsByTagName("error");
			for (i=0; i<errors.length; i++) {
				var tmpErrId = "str_" + errors[i].attributes.getNamedItem("id").value;
				while(tmpErrId.indexOf(".") >= 0){
					tmpErrId = tmpErrId.replace(".", "_");
				}
				errorMsgs += getDynamicVar(tmpErrId) + "<br/>";
			}
			$("#profileErrors").html(errorMsgs);
		} else {
			$("#profileErrors").html("");
		}
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_user_profileStatus(p_func)
{
	if (!guestLogin)
		var url = api_request ('user/profilestatus', "leagueFilter=" + setting_viewAbleLeagues);
	else
		var url = api_request ('user/profilestatus', 'guest=true&leagueFilter=' + setting_viewAbleLeagues);

	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_user_profileStatus_result(req, p_func);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_user_profileStatus_result(p_req, p_func)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var xmlResult = new Array();
		var status = p_req.responseXML.getElementsByTagName("status")[0];
		xmlResult["newMsg"] = status.getElementsByTagName("newmessage")[0].childNodes[0].nodeValue;
		xmlResult["newNotifi"] = status.getElementsByTagName("newnotification")[0].childNodes[0].nodeValue;
		xmlResult["onlineFriends"] = status.getElementsByTagName("onlinefriend")[0].childNodes[0].nodeValue;
		xmlResult["friendInvite"] = status.getElementsByTagName("friendinvite")[0].childNodes[0].nodeValue;
		xmlResult["liveGame"] = status.getElementsByTagName("livegame")[0].childNodes[0].nodeValue;
		leagueNews = status.getElementsByTagName("leaguenewsavailable")[0].childNodes[0].nodeValue;
		teamNews = status.getElementsByTagName("teamnewsavailable")[0].childNodes[0].nodeValue;
		p_func(xmlResult);
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_user_notification(p_user, p_type, p_onlyNew, p_page, p_pagesize)
{
	params = "";
	if (p_user) params += "&id=" + p_user;
	if (p_type) params += "&filter=" + p_type;
	if (p_onlyNew) params += "&onlynew=" + p_onlyNew;
	if (p_page) params += "&page=" + p_page;
	if (p_pagesize) params += "&pagesize=" + p_pagesize;
	params += "&showall=true";
	if (params.charAt(0) == "&") params = params.substr(1);
	var url = api_request ('user/notification', params);
	ajaxCallCount++;
	var tmpAjaxCount = ajaxCallCount;
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_user_notification_result(req, tmpAjaxCount);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_user_notification_result(p_req, p_tmpAjaxCount)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var xmlResult = new Array();
		var notificationlist = p_req.responseXML.getElementsByTagName("notifications")[0];
		var itemCount = notificationlist.attributes.getNamedItem("itemcount").value;
		var pageCount = notificationlist.attributes.getNamedItem("pagecount").value;
		var notifications = notificationlist.getElementsByTagName("notification");
		for (i = 0; i < notifications.length; i++) {
			xmlResult[i] = new Array();
			xmlResult[i]["id"] = notifications[i].attributes.getNamedItem("id").value;
			xmlResult[i]["type"] = notifications[i].attributes.getNamedItem("type").value;
			xmlResult[i]["targetid"] = notifications[i].getElementsByTagName("targetid")[0].childNodes[0].nodeValue;
			xmlResult[i]["read"] = notifications[i].getElementsByTagName("read")[0].childNodes[0].nodeValue;
			if (notifications[i].getElementsByTagName("feedid").length > 0 && notifications[i].getElementsByTagName("feedid")[0].childNodes.length > 0) {
				xmlResult[i]["feedid"] = notifications[i].getElementsByTagName("feedid")[0].childNodes[0].nodeValue;
			} else {
				xmlResult[i]["feedid"] = "";
			}
			if (notifications[i].getElementsByTagName("feed_type").length > 0 && notifications[i].getElementsByTagName("feed_type")[0].childNodes.length > 0) {
				xmlResult[i]["feed_type"] = notifications[i].getElementsByTagName("feed_type")[0].childNodes[0].nodeValue;
			} else {
				xmlResult[i]["feed_type"] = "";
			}
			if (notifications[i].getElementsByTagName("content").length > 0 && notifications[i].getElementsByTagName("content")[0].childNodes.length > 0) {
				xmlResult[i]["content"] = notifications[i].getElementsByTagName("content")[0].childNodes[0].nodeValue;
			} else {
				xmlResult[i]["content"] = "&nbsp;";
			}
			xmlResult[i]["created"] = api_timestamp(notifications[i].getElementsByTagName("created")[0].childNodes[0].nodeValue, false, "notification");
			tmpSender = notifications[i].getElementsByTagName("from_profile")[0];
			xmlResult[i]["senderid"] = tmpSender.attributes.getNamedItem("id").value;
			xmlResult[i]["nick"] = tmpSender.getElementsByTagName("nick")[0].childNodes[0].nodeValue;
			xmlResult[i]["avatarid"] = tmpSender.getElementsByTagName("avatarid")[0].childNodes[0].nodeValue;
		}
		fillNotificationLst(xmlResult, itemCount, pageCount, p_tmpAjaxCount);
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_user_closenotification(p_id)
{
	params = "notificationId=" + p_id;
	var url = api_request ('user/closenotification', params);
	ajaxCallCount++;
	var tmpAjaxCount = ajaxCallCount;
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_user_closeallnotification()
{
	params = "";
	var url = api_request ('user/closeallnotifications', params);
	ajaxCallCount++;
	var tmpAjaxCount = ajaxCallCount;
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_user_setstatus(p_status)
{
	params = "status=" + p_status;
	var url = api_request ('user/setstatus', params);
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_user_setstatus_result(req, p_status);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_user_setstatus_result(p_req, p_status)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		api_user_profile(uid, "statusUpdate");
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_user_updateavatar(p_file)
{
	var url = base + 'user/updateavatar';
	var params = {
		"do" : "user/updateAvatar",
		"session" : sid
	};
	APIBridge.fileUpload ("img", p_file, "http://mobile.teamblogger.eu/apiSLB/index.php", params, function(res)
	{
		api_user_updateavatar_result(res);
	}, function(res)
	{
		var out = ''; 
  		for (var p in res) { 
    		out += p + ': ' + res[p] + '\n'; 
  		}
		alert("uploading file failed!");
	});
}

function api_user_updateavatar_result(p_req, p_status)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		api_user_profile(uid, "statusUpdate");
		loadNotifications();
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_user_friendlist(p_friend, p_filter, p_page, p_pagesize, p_func)
{
	params = "";
	if (p_friend) params += "&id=" + p_friend;
	if (p_filter) params += "&filter=" + p_filter;
	if (p_page) params += "&page=" + p_page;
	if (p_pagesize) params += "&pagesize=" + p_pagesize;
	if (params.charAt(0) == "&") params = params.substr(1);
	var url = api_request ('user/friendlist', params);
	ajaxCallCount++;
	var tmpAjaxCount = ajaxCallCount;
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_user_friendlist_result(req, p_func, tmpAjaxCount);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_user_friendlist_result(p_req, p_func, p_tmpAjaxCount)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var xmlResult = new Array();
		var friendlist = p_req.responseXML.getElementsByTagName("friendlist")[0];
		var itemCount = friendlist.attributes.getNamedItem("itemcount").value;
		var pageCount = friendlist.attributes.getNamedItem("pagecount").value;
		var friends = friendlist.getElementsByTagName("profile");
		for (i = 0; i < friends.length; i++) {
			xmlResult[i] = new Array();
			xmlResult[i]["id"] = friends[i].attributes.getNamedItem("id").value;
			xmlResult[i]["nick"] = friends[i].getElementsByTagName("nick")[0].childNodes[0].nodeValue;
			xmlResult[i]["avatarid"] = friends[i].getElementsByTagName("avatarid")[0].childNodes[0].nodeValue;
			if (friends[i].getElementsByTagName("isfriend").length > 0 && friends[i].getElementsByTagName("isfriend")[0].childNodes.length > 0) {
				xmlResult[i]["isfriend"] = friends[i].getElementsByTagName("isfriend")[0].childNodes[0].nodeValue;
				xmlResult[i]["request"] = friends[i].getElementsByTagName("isfriend")[0].attributes.getNamedItem("request").value;
			} else {
				xmlResult[i]["isfriend"] = "";
				xmlResult[i]["request"] = "";
			}
			if (friends[i].getElementsByTagName("status").length > 0 && friends[i].getElementsByTagName("status")[0].childNodes.length > 0) {
				tmpStatus = friends[i].getElementsByTagName("status")[0];
				if (tmpStatus.getElementsByTagName("message").length > 0 && tmpStatus.getElementsByTagName("message")[0].childNodes.length > 0) {
					xmlResult[i]["message"] = tmpStatus.getElementsByTagName("message")[0].childNodes[0].nodeValue;
				}
				else {
					xmlResult[i]["message"] = "&nbsp;";
				}
				xmlResult[i]["online"] = tmpStatus.getElementsByTagName("online")[0].childNodes[0].nodeValue;
				xmlResult[i]["last_online"] = api_timestamp(tmpStatus.getElementsByTagName("last_online")[0].childNodes[0].nodeValue, false, "none");
			} else {
				xmlResult[i]["message"] = "";
				xmlResult[i]["online"] = "";
				xmlResult[i]["last_online"] = "";
			}
			tmpTeam = friends[i].getElementsByTagName("teams")[0].getElementsByTagName("team")[0];
			xmlResult[i]["teamid"] = tmpTeam.attributes.getNamedItem("id").value;
			xmlResult[i]["team_avatarid"] = tmpTeam.attributes.getNamedItem("avatarid").value;
			xmlResult[i]["teamname"] = tmpTeam.childNodes[0].nodeValue;
		}
		p_func(xmlResult, itemCount, pageCount, p_tmpAjaxCount);
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_user_friendrequestlist(p_type, p_page, p_pagesize)
{
	params = "";
	if (p_page) params += "&page=" + p_page;
	if (p_pagesize) params += "&pagesize=" + p_pagesize;
	if (params.charAt(0) == "&") params = params.substr(1);
	var url = api_request ('user/friendrequestlist', params);
	ajaxCallCount++;
	var tmpAjaxCount = ajaxCallCount;
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_user_friendrequestlist_result(req, p_type, tmpAjaxCount);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_user_friendrequestlist_result(p_req, p_type, p_tmpAjaxCount)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var xmlResult = new Array();
		var reqlist = p_req.responseXML.getElementsByTagName(p_type)[0];
		var itemCount = reqlist.attributes.getNamedItem("itemcount").value;
		var pageCount = reqlist.attributes.getNamedItem("pagecount").value;
		var requests = reqlist.getElementsByTagName("profile");
		for (i = 0; i < requests.length; i++) {
			xmlResult[i] = new Array();
			xmlResult[i]["id"] = requests[i].attributes.getNamedItem("id").value;
			xmlResult[i]["nick"] = requests[i].getElementsByTagName("nick")[0].childNodes[0].nodeValue;
			xmlResult[i]["avatarid"] = requests[i].getElementsByTagName("avatarid")[0].childNodes[0].nodeValue;
		}
		fillRequestLst(xmlResult,p_type, itemCount, pageCount, p_tmpAjaxCount);
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_user_search(p_searchStr, p_page, p_pagesize)
{
	params = "search=" + p_searchStr;
	if (p_page) params += "&page=" + p_page;
	if (p_pagesize) params += "&pagesize=" + p_pagesize;
	var url = api_request ('user/search', params);
	ajaxCallCount++;
	var tmpAjaxCount = ajaxCallCount;
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_user_search_result(req, tmpAjaxCount);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_user_search_result(p_req, p_tmpAjaxCount)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var xmlResult = new Array();
		var searchlist = p_req.responseXML.getElementsByTagName("friendlist")[0];
		var itemCount = searchlist.attributes.getNamedItem("itemcount").value;
		var pageCount = searchlist.attributes.getNamedItem("pagecount").value;
		var searchresults = searchlist.getElementsByTagName("profile");
		for (i = 0; i < searchresults.length; i++) {
			xmlResult[i] = new Array();
			xmlResult[i]["id"] = searchresults[i].attributes.getNamedItem("id").value;
			xmlResult[i]["nick"] = searchresults[i].getElementsByTagName("nick")[0].childNodes[0].nodeValue;
			if (searchresults[i].getElementsByTagName("firstname").length > 0 && searchresults[i].getElementsByTagName("firstname")[0].childNodes.length > 0) {
				xmlResult[i]["firstname"] = searchresults[i].getElementsByTagName("firstname")[0].childNodes[0].nodeValue;
			} else {
				xmlResult[i]["firstname"] = "&nbsp;";
			}
			if (searchresults[i].getElementsByTagName("lastname").length > 0 && searchresults[i].getElementsByTagName("lastname")[0].childNodes.length > 0) {
				xmlResult[i]["lastname"] = searchresults[i].getElementsByTagName("lastname")[0].childNodes[0].nodeValue;
			} else {
				xmlResult[i]["lastname"] = "&nbsp;";
			}
			xmlResult[i]["avatarid"] = searchresults[i].getElementsByTagName("avatarid")[0].childNodes[0].nodeValue;
			if (searchresults[i].getElementsByTagName("isfriend").length > 0 && searchresults[i].getElementsByTagName("isfriend")[0].childNodes.length > 0) {
				xmlResult[i]["isfriend"] = searchresults[i].getElementsByTagName("isfriend")[0].childNodes[0].nodeValue;
				xmlResult[i]["request"] = searchresults[i].getElementsByTagName("isfriend")[0].attributes.getNamedItem("request").value;
			} else {
				xmlResult[i]["isfriend"] = "";
				xmlResult[i]["request"] = "";
			}
			xmlResult[i]["teamavatar"] = searchresults[i].getElementsByTagName("teams")[0].getElementsByTagName("team")[0].attributes.getNamedItem("avatarid").value;
		}
		fillUserSearchLst(xmlResult, itemCount, pageCount, p_tmpAjaxCount);
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_user_addfriend(p_userId, p_redirect)
{
	params = "target=" + p_userId;
	var url = api_request ('user/addfriend', params);
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_user_addfriend_result(req, p_redirect);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_user_addfriend_result(p_req, p_redirect)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		try {
			var status = p_req.responseXML.getElementsByTagName("status")[0].childNodes[0].nodeValue;
			handleFriendRequest_response(status, p_redirect);
			
		}
		catch(e){
			handleFriendRequest_response("OK", p_redirect);
		}
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_user_removefriend(p_userId, p_redirect)
{
	params = "target=" + p_userId;
	var url = api_request ('user/removefriend', params);
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_user_removefriend_result(req, p_redirect);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_user_removefriend_result(p_req, p_redirect)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		try {
			var status = p_req.responseXML.getElementsByTagName("status")[0].childNodes[0].nodeValue;
			handleFriendRequest_response(status, p_redirect);
		}
		catch(e){
			handleFriendRequest_response("OK", p_redirect);
		}
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_user_invitefriend(p_email, p_msg)
{
	params = "email=" + p_email;
	params += "&message=" + p_msg;
	params += '&specificHost=' + setting_specificHost;
	var url = api_request ('user/invitefriend', params);
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_user_invitefriend_result(req);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_user_invitefriend_result(p_req)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var errorMsgs = "";
		var xmlResult = new Array();
		try {
			var status = p_req.responseXML.getElementsByTagName("status")[0].childNodes[0].nodeValue;
			if (status == "NOT_OK") {
				var errors = p_req.responseXML.getElementsByTagName("error");
				var tmpDefaultError = 0;
				for (i=0; i<errors.length; i++) {
					switch(errors[i].attributes.getNamedItem("id").value){
						case "invitefriend.email.exists":
							errorMsgs += str_invite_error_emailExists + "<br/>";
							var profile = p_req.responseXML.getElementsByTagName("profile")[0];
							xmlResult["id"] = profile.attributes.getNamedItem("id").value;
							xmlResult["avatarid"] = profile.getElementsByTagName("avatarid")[0].childNodes[0].nodeValue;
							xmlResult["nick"] = profile.getElementsByTagName("nick")[0].childNodes[0].nodeValue;
							if (profile.getElementsByTagName("firstname").length > 0 && profile.getElementsByTagName("firstname")[0].childNodes.length > 0) {
								xmlResult["firstname"] = profile.getElementsByTagName("firstname")[0].childNodes[0].nodeValue;
							} else {
								xmlResult["firstname"] = "";
							}
							if (profile.getElementsByTagName("lastname").length > 0 && profile.getElementsByTagName("lastname")[0].childNodes.length > 0) {
								xmlResult["lastname"] = profile.getElementsByTagName("lastname")[0].childNodes[0].nodeValue;
							} else {
								xmlResult["lastname"] = "";
							} 
							xmlResult["isfriend"] = profile.getElementsByTagName("isfriend")[0].childNodes[0].nodeValue;
							xmlResult["request"] = profile.getElementsByTagName("isfriend")[0].attributes.getNamedItem("request").value;
							var tmpTeam = profile.getElementsByTagName("teams")[0].getElementsByTagName("team")[0];
							xmlResult["teamid"] = tmpTeam.attributes.getNamedItem("id").value;
							xmlResult["team_avatarid"] = tmpTeam.attributes.getNamedItem("avatarid").value;
							xmlResult["teamname"] = tmpTeam.childNodes[0].nodeValue;
							break;
						default:
							tmpDefaultError = 1;
							break;
					}
				}
				if (tmpDefaultError) errorMsgs += str_invite_error_default + "<br/>";
			}
			handleInviteResult(errorMsgs, xmlResult);
		}
		catch(e){
			handleInviteResult("");
		}
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_user_invitefriendviasms(p_cell)
{
	params = "cell=" + p_cell;
	var url = api_request ('user/invitefriendviasms', params);
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_user_invitefriendviasms_result(req);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_user_invitefriendviasms_result(p_req)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var errorMsgs = "";
		var xmlResult = new Array();
		try {
			var status = p_req.responseXML.getElementsByTagName("status")[0].childNodes[0].nodeValue;
			if (status == "NOT_OK") {
				var errors = p_req.responseXML.getElementsByTagName("error");
				var tmpDefaultError = 0;
				for (i=0; i<errors.length; i++) {
					switch(errors[i].attributes.getNamedItem("id").value){
						case "invitefriendvia.cell.exists":
							//errorMsgs += str_invite_error_emailExists + "<br/>";
							break;
						default:
							tmpDefaultError = 1;
							break;
					}
				}
				if (tmpDefaultError) errorMsgs += str_invite_error_default + "<br/>";
			}
			//handleInviteResult(errorMsgs, xmlResult);
		}
		catch(e){
			//handleInviteResult("", xmlResult);
		}
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_user_suggestedfriendlist(p_filter, p_page, p_pagesize, p_func)
{
	var params = "";
	if (p_filter) params += "&filter=" + p_filter;
	if (p_page) params += "&page=" + p_page;
	if (p_pagesize) params += "&pagesize=" + p_pagesize;
	if (params.charAt(0) == "&") params = params.substr(1);
	var url = api_request ('user/suggestedfriendlist', params);
	ajaxCallCount++;
	var tmpAjaxCount = ajaxCallCount;
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_user_suggestedfriendlist_result(req, p_func, tmpAjaxCount);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_user_suggestedfriendlist_result(p_req, p_func, p_tmpAjaxCount)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var xmlResult = new Array();
		var suggfriendlist = p_req.responseXML.getElementsByTagName("suggestedfriendlist")[0];
		var itemCount = suggfriendlist.attributes.getNamedItem("itemcount").value;
		//var pageCount = suggfriendlist.attributes.getNamedItem("pagecount").value;
		var suggfriends = suggfriendlist.getElementsByTagName("suggestedfriend");
		for (i = 0; i < suggfriends.length; i++) {
			xmlResult[i] = new Array();
			xmlResult[i]["suggfriendid"] = suggfriends[i].attributes.getNamedItem("id").value;
			xmlResult[i]["suggfriendtype"] = suggfriends[i].attributes.getNamedItem("type").value;
			xmlResult[i]["suggfriendcommon"] = suggfriends[i].attributes.getNamedItem("incommon").value;
			var profile = suggfriends[i].getElementsByTagName("profile")[0];
			xmlResult[i]["id"] = profile.attributes.getNamedItem("id").value;
			xmlResult[i]["nick"] = profile.getElementsByTagName("nick")[0].childNodes[0].nodeValue;
			xmlResult[i]["avatarid"] = profile.getElementsByTagName("avatarid")[0].childNodes[0].nodeValue;
			if (profile.getElementsByTagName("isfriend").length > 0 && profile.getElementsByTagName("isfriend")[0].childNodes.length > 0) {
				xmlResult[i]["isfriend"] = profile.getElementsByTagName("isfriend")[0].childNodes[0].nodeValue;
				xmlResult[i]["request"] = profile.getElementsByTagName("isfriend")[0].attributes.getNamedItem("request").value;
			} else {
				xmlResult[i]["isfriend"] = "";
				xmlResult[i]["request"] = "";
			}
			tmpTeam = profile.getElementsByTagName("teams")[0].getElementsByTagName("team")[0];
			xmlResult[i]["teamid"] = tmpTeam.attributes.getNamedItem("id").value;
			xmlResult[i]["team_avatarid"] = tmpTeam.attributes.getNamedItem("avatarid").value;
			xmlResult[i]["teamname"] = tmpTeam.childNodes[0].nodeValue;
		}
		p_func(xmlResult, itemCount, p_tmpAjaxCount);
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_user_turnsuggestedfrienddown(p_suggfriendId)
{
	var params = "target=" + p_suggfriendId;
	var url = api_request ('user/turnsuggestedfrienddown', params);
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_user_turnsuggestedfrienddown_result(req);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_user_turnsuggestedfrienddown_result(p_req)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_user_emailsettings()
{
	var url = api_request ('user/emailsettings');
	ajaxCallCount++;
	var tmpAjaxCount = ajaxCallCount;

	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_user_emailsettings_result(req, tmpAjaxCount);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_user_emailsettings_result(p_req, p_tmpAjaxCount)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var xmlResult = new Array();
		xmlResult["dailysummary"] = p_req.responseXML.getElementsByTagName("dailysummary")[0].childNodes[0].nodeValue;
		xmlResult["weeklysummary"] = p_req.responseXML.getElementsByTagName("weeklysummary")[0].childNodes[0].nodeValue;
		xmlResult["messageteam"] = p_req.responseXML.getElementsByTagName("messageteam")[0].childNodes[0].nodeValue;
		xmlResult["messageprivate"] = p_req.responseXML.getElementsByTagName("messageprivate")[0].childNodes[0].nodeValue;
		xmlResult["newsfeedcomment"] = p_req.responseXML.getElementsByTagName("newsfeedcomment")[0].childNodes[0].nodeValue;
		xmlResult["friendrequest"] = p_req.responseXML.getElementsByTagName("friendrequest")[0].childNodes[0].nodeValue;
		xmlResult["friendupload"] = p_req.responseXML.getElementsByTagName("friendupload")[0].childNodes[0].nodeValue;
		xmlResult["friendaccept"] = p_req.responseXML.getElementsByTagName("friendaccept")[0].childNodes[0].nodeValue;
		xmlResult["friendstatus"] = p_req.responseXML.getElementsByTagName("friendstatus")[0].childNodes[0].nodeValue;
		xmlResult["friendmessagecomment"] = p_req.responseXML.getElementsByTagName("friendmessagecomment")[0].childNodes[0].nodeValue;
		xmlResult["teammessagecomment"] = p_req.responseXML.getElementsByTagName("teammessagecomment")[0].childNodes[0].nodeValue;
		xmlResult["friendavatar"] = p_req.responseXML.getElementsByTagName("friendavatar")[0].childNodes[0].nodeValue;
		xmlResult["friendalbumupload"] = p_req.responseXML.getElementsByTagName("friendalbumupload")[0].childNodes[0].nodeValue;
		xmlResult["albumitemcomment"] = p_req.responseXML.getElementsByTagName("albumitemcomment")[0].childNodes[0].nodeValue;
		xmlResult["friendaddedfriend"] = p_req.responseXML.getElementsByTagName("friendaddedfriend")[0].childNodes[0].nodeValue;
		fillEmailSettings(xmlResult, p_tmpAjaxCount);
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_user_updateemailsettings(p_weeklysummary, p_dailysummary, p_messageteam, p_messageprivate, p_newsfeedcomment, p_friendrequest, 
	p_friendupload, p_friendaccept, p_friendstatus, p_friendmessagecomment, p_teammessagecomment, p_friendavatar, p_friendalbumupload, 
	p_albumitemcomment, p_friendaddedfriend)
{
	var params = "weeklySummary=" + p_weeklysummary + "&dailySummary=" + p_dailysummary + "&messageTeam=" + p_messageteam;
	params += "&messagePrivate=" + p_messageprivate + "&newsfeedComment=" + p_newsfeedcomment + "&friendRequest=" + p_friendrequest;
	params += "&friendUpload=" + p_friendupload + "&friendAccept=" + p_friendaccept + "&friendStatus=" + p_friendstatus;
	params += "&friendMessageComment=" + p_friendmessagecomment + "&teamMessageComment=" + p_teammessagecomment + "&friendAvatar=" + p_friendavatar;
	params += "&friendAlbumUpload=" + p_friendalbumupload + "&albumItemComment=" + p_albumitemcomment + "&friendAddedFriend=" + p_friendaddedfriend;
	var url = api_request ('user/updateemailsettings', params);

	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_user_updateemailsettings_result(req);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_user_updateemailsettings_result(p_req)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		try {
			var status = p_req.responseXML.getElementsByTagName("status")[0].childNodes[0].nodeValue;
		} catch(e){
			var status = "OK";
		}
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_feed_teamnews(p_feedid, p_teamid, p_page, p_pagesize, p_lang, p_func)
{
	params = "";
	if (p_feedid) params += "&id=" + p_feedid;
	if (p_teamid) params += "&team=" + p_teamid;
	if (p_lang) params += "&lang=" + p_lang;
	if (p_page) params += "&page=" + p_page;
	if (p_pagesize) params += "&pagesize=" + p_pagesize;
	if (params.charAt(0) == "&") params = params.substr(1);
	var url = api_request ('feed/teamnews', params);
	ajaxCallCount++;
	var tmpAjaxCount = ajaxCallCount;
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_feed_teamnews_result(req, p_func, tmpAjaxCount);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_feed_teamnews_result(p_req, p_func, p_tmpAjaxCount)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var xmlResult = new Array();
		var newslist = p_req.responseXML.getElementsByTagName("feed")[0];
		var feedid = newslist.attributes.getNamedItem("id").value;
		var itemCount = newslist.attributes.getNamedItem("itemcount").value;
		var pageCount = newslist.attributes.getNamedItem("pagecount").value;
		var newsitems = newslist.getElementsByTagName("feeditem");
		for (i = 0; i < newsitems.length; i++) {
			xmlResult[i] = new Array();
			xmlResult[i]["id"] = newsitems[i].attributes.getNamedItem("id").value;
			if (newsitems[i].getElementsByTagName("title").length > 0 && newsitems[i].getElementsByTagName("title")[0].childNodes.length > 0) {
				xmlResult[i]["title"] = newsitems[i].getElementsByTagName("title")[0].childNodes[0].nodeValue;
			} else {
				xmlResult[i]["title"] = "";
			}
			if (newsitems[i].getElementsByTagName("image").length > 0 && newsitems[i].getElementsByTagName("image")[0].childNodes.length > 0) {
				xmlResult[i]["image"] = newsitems[i].getElementsByTagName("image")[0].childNodes[0].nodeValue;
			} else {
				xmlResult[i]["image"] = "";
			}
			if (newsitems[i].getElementsByTagName("time").length > 0 && newsitems[i].getElementsByTagName("time")[0].childNodes.length > 0) {
				xmlResult[i]["time"] = newsitems[i].getElementsByTagName("time")[0].childNodes[0].nodeValue;
			} else {
				xmlResult[i]["time"] = "";
			}
			if (newsitems[i].getElementsByTagName("content").length > 0 && newsitems[i].getElementsByTagName("content")[0].childNodes.length > 0) {
				xmlResult[i]["content"] = newsitems[i].getElementsByTagName("content")[0].childNodes[0].nodeValue;
			} else {
				xmlResult[i]["content"] = "";
			}
			if (newsitems[i].getElementsByTagName("link").length > 0 && newsitems[i].getElementsByTagName("link")[0].childNodes.length > 0) {
				xmlResult[i]["link"] = newsitems[i].getElementsByTagName("link")[0].childNodes[0].nodeValue;
			} else {
				xmlResult[i]["link"] = "";
			}
		}
		p_func(xmlResult, feedid, itemCount, pageCount, p_tmpAjaxCount);
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_feed_leaguenews(p_feedid, p_teamid, p_page, p_pagesize, p_lang)
{
	params = "";
	if (p_feedid) params += "&id=" + p_feedid;
	if (p_teamid) params += "&team=" + p_teamid;
	if (p_lang) params += "&lang=" + p_lang;
	if (p_page) params += "&page=" + p_page;
	if (p_pagesize) params += "&pagesize=" + p_pagesize;
	if (params.charAt(0) == "&") params = params.substr(1);
	var url = api_request ('feed/leaguenews', params);
	ajaxCallCount++;
	var tmpAjaxCount = ajaxCallCount;
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_feed_leaguenews_result(req, tmpAjaxCount);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_feed_leaguenews_result(p_req, p_tmpAjaxCount)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var xmlResult = new Array();
		var newslist = p_req.responseXML.getElementsByTagName("feed")[0];
		var feedid = newslist.attributes.getNamedItem("id").value;
		var itemCount = newslist.attributes.getNamedItem("itemcount").value;
		var pageCount = newslist.attributes.getNamedItem("pagecount").value;
		var newsitems = newslist.getElementsByTagName("feeditem");
		for (i = 0; i < newsitems.length; i++) {
			xmlResult[i] = new Array();
			xmlResult[i]["id"] = newsitems[i].attributes.getNamedItem("id").value;
			if (newsitems[i].getElementsByTagName("title").length > 0 && newsitems[i].getElementsByTagName("title")[0].childNodes.length > 0) {
				xmlResult[i]["title"] = newsitems[i].getElementsByTagName("title")[0].childNodes[0].nodeValue;
			} else {
				xmlResult[i]["title"] = "";
			}
			if (newsitems[i].getElementsByTagName("image").length > 0 && newsitems[i].getElementsByTagName("image")[0].childNodes.length > 0) {
				xmlResult[i]["image"] = newsitems[i].getElementsByTagName("image")[0].childNodes[0].nodeValue;
			} else {
				xmlResult[i]["image"] = "";
			}
			if (newsitems[i].getElementsByTagName("time").length > 0 && newsitems[i].getElementsByTagName("time")[0].childNodes.length > 0) {
				xmlResult[i]["time"] = newsitems[i].getElementsByTagName("time")[0].childNodes[0].nodeValue;
			} else {
				xmlResult[i]["time"] = "";
			}
			if (newsitems[i].getElementsByTagName("content").length > 0 && newsitems[i].getElementsByTagName("content")[0].childNodes.length > 0) {
				xmlResult[i]["content"] = newsitems[i].getElementsByTagName("content")[0].childNodes[0].nodeValue;
			} else {
				xmlResult[i]["content"] = "";
			}
			if (newsitems[i].getElementsByTagName("link").length > 0 && newsitems[i].getElementsByTagName("link")[0].childNodes.length > 0) {
				xmlResult[i]["link"] = newsitems[i].getElementsByTagName("link")[0].childNodes[0].nodeValue;
			} else {
				xmlResult[i]["link"] = "";
			}
		}
		fillHomeNewsLst(xmlResult, feedid, itemCount, pageCount, p_tmpAjaxCount);
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_feed_feeditem(p_id, p_feedid, p_redirect)
{
	params = "";
	params += "id=" + p_id;
	params += "&feedid=" + p_feedid;
	var url = api_request ('feed/newsitem', params);
	
	ajaxCallCount++;
	var tmpAjaxCount = ajaxCallCount;
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_feed_feeditem_result(req, p_redirect, tmpAjaxCount);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_feed_feeditem_result(p_req, p_redirect, p_tmpAjaxCount)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var xmlResult = new Array();
		var newslist = p_req.responseXML.getElementsByTagName("feed")[0];
		var feedid = newslist.attributes.getNamedItem("id").value;
		var newsitem = newslist.getElementsByTagName("feeditem")[0];
		xmlResult["id"] = newsitem.attributes.getNamedItem("id").value;
		if (newsitem.attributes.getNamedItem("next")){
			xmlResult["next"] = newsitem.attributes.getNamedItem("next").value;
		} else {
			xmlResult["next"] = "";
		}
		if (newsitem.attributes.getNamedItem("prev")){
			xmlResult["prev"] = newsitem.attributes.getNamedItem("prev").value;
		} else {
			xmlResult["prev"] = "";
		}
		if (newsitem.getElementsByTagName("title").length > 0 && newsitem.getElementsByTagName("title")[0].childNodes.length > 0) {
			xmlResult["title"] = newsitem.getElementsByTagName("title")[0].childNodes[0].nodeValue;
		} else {
			xmlResult["title"] = "";
		}
		if (newsitem.getElementsByTagName("image").length > 0 && newsitem.getElementsByTagName("image")[0].childNodes.length > 0) {
			xmlResult["image"] = newsitem.getElementsByTagName("image")[0].childNodes[0].nodeValue;
		} else {
			xmlResult["image"] = "";
		}
		if (newsitem.getElementsByTagName("time").length > 0 && newsitem.getElementsByTagName("time")[0].childNodes.length > 0) {
			xmlResult["time"] = newsitem.getElementsByTagName("time")[0].childNodes[0].nodeValue;
		} else {
			xmlResult["time"] = "";
		}
		if (newsitem.getElementsByTagName("content").length > 0 && newsitem.getElementsByTagName("content")[0].childNodes.length > 0) {
			xmlResult["content"] = newsitem.getElementsByTagName("content")[0].childNodes[0].nodeValue;
		} else {
			xmlResult["content"] = "";
		}
		if (newsitem.getElementsByTagName("copyright").length > 0 && newsitem.getElementsByTagName("copyright")[0].childNodes.length > 0) {
			xmlResult["copyright"] = newsitem.getElementsByTagName("copyright")[0].childNodes[0].nodeValue;
		} else {
			xmlResult["copyright"] = "";
		}
		if (newsitem.getElementsByTagName("link").length > 0 && newsitem.getElementsByTagName("link")[0].childNodes.length > 0) {
			xmlResult["link"] = newsitem.getElementsByTagName("link")[0].childNodes[0].nodeValue;
		} else {
			xmlResult["link"] = "";
		}
		fillNewsItem(xmlResult, feedid, p_redirect, p_tmpAjaxCount);
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_feed_feedcomments(p_id, p_page, p_pagesize, p_filter, p_func)
{
	params = "id=" + p_id;
	if (p_page) params += "&page=" + p_page;
	if (p_pagesize) params += "&pagesize=" + p_pagesize;
	if (p_filter == "myFriends") {
		 params += "&onlyFriends=true";
	} else if (p_filter == "myTeam") {
		params += "&teamId=" + userprofile["teamid"];
	} else if (p_filter == "myLang"){
		params += "&language=" + userprofile["language"];
	}
	var url = api_request ('feed/feedcomments', params);
	ajaxCallCount++;
	var tmpAjaxCount = ajaxCallCount;
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_feed_feedcomments_result(req, p_id, p_func, tmpAjaxCount);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_feed_feedcomments_result(p_req, p_id, p_func, p_tmpAjaxCount)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var xmlResult = new Array();
		var commentlist = p_req.responseXML.getElementsByTagName("comments")[0];
		var itemCount = commentlist.attributes.getNamedItem("itemcount").value;
		var pageCount = commentlist.attributes.getNamedItem("pagecount").value;
		var comments = commentlist.getElementsByTagName("comment");
		for (i = 0; i < comments.length; i++) {
			xmlResult[i] = new Array();
			xmlResult[i]["time"] = api_timestamp(comments[i].getElementsByTagName("time")[0].childNodes[0].nodeValue, false, "notification");
			xmlResult[i]["content"] = comments[i].getElementsByTagName("content")[0].childNodes[0].nodeValue;
			tmpProfile = comments[i].getElementsByTagName("profile")[0];
			xmlResult[i]["userid"] = tmpProfile.attributes.getNamedItem("id").value;
			xmlResult[i]["nick"] = tmpProfile.getElementsByTagName("nick")[0].childNodes[0].nodeValue;
			xmlResult[i]["avatarid"] = tmpProfile.getElementsByTagName("avatarid")[0].childNodes[0].nodeValue;
		}
		p_func(xmlResult, p_id, itemCount, pageCount, p_tmpAjaxCount);
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_feed_commentfeed(p_id, p_type, p_comment)
{
	params = "feedItemId=" + p_id;
	if (p_type) params += "&feedItemType=" + p_type;
	if (p_comment) params += "&comment=" + p_comment;
	var url = api_request ('feed/commentfeed', params);
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_feed_commentfeed_result(req, p_id);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_feed_commentfeed_result(p_req, p_id)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var xmlResult = new Array();
		try {
			var status = p_req.responseXML.getElementsByTagName("status")[0].childNodes[0].nodeValue;
			handleNewsComment_response(status, p_id);
		}
		catch(e){
			handleNewsComment_response("OK", p_id);
		}
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_result_leaguelist(p_leagueid, p_ddlid, p_part)
{
	params = "";
	if (p_leagueid) params += "&topleague=" + p_leagueid;
	if (p_part == "register") params += "&registerableonly=true"; 
	if (setting_viewAbleLeagues != "") params += "&leagueFilter=" + setting_viewAbleLeagues; 
	if (params.charAt(0) == "&") params = params.substr(1);
	var url = api_request ('result/leaguelist', params);
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_result_leaguelist_result(req, p_ddlid, p_part);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_result_leaguelist_result(p_req, p_ddlid, p_part)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var xmlResult = new Array();
		var leaguelist = p_req.responseXML.getElementsByTagName("leaguelist")[0];
		var itemCount = leaguelist.attributes.getNamedItem("itemcount").value;
		var pageCount = leaguelist.attributes.getNamedItem("pagecount").value;
		var leagues = leaguelist.getElementsByTagName("league");
		for (i = 0; i < leagues.length; i++) {
			xmlResult[i] = new Array();
			xmlResult[i]["id"] = leagues[i].attributes.getNamedItem("id").value;
			xmlResult[i]["name"] = leagues[i].getElementsByTagName("name")[0].childNodes[0].nodeValue;
		}
		if (p_ddlid != ""){
			fillLeagueDdl(xmlResult, p_ddlid, p_part);
		}
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_result_dailymatchlist(p_date, p_leagueid, p_page, p_pagesize)
{
	params = "date=" + p_date;
	if (p_leagueid) params += "&league=" + p_leagueid;
	if (p_page) params += "&page=" + p_page;
	if (p_pagesize) params += "&pagesize=" + p_pagesize;
	if (setting_viewAbleLeagues != "") params += "&leagueFilter=" + setting_viewAbleLeagues; 
	var url = api_request ('result/dailymatchlist', params);
	ajaxCallCount++;
	var tmpAjaxCount = ajaxCallCount;
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_result_dailymatchlist_result(req, tmpAjaxCount);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_result_dailymatchlist_result(p_req, p_tmpAjaxCount)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var xmlResult = new Array();
		var gamelist = p_req.responseXML.getElementsByTagName("games")[0];
		var itemCount = gamelist.attributes.getNamedItem("itemcount").value;
		var pageCount = gamelist.attributes.getNamedItem("pagecount").value;
		var games = gamelist.getElementsByTagName("game");
		for (i = 0; i < games.length; i++) {
			xmlResult[i] = new Array();
			xmlResult[i]["id"] = games[i].attributes.getNamedItem("id").value;
			xmlResult[i]["leagueid"] = games[i].getElementsByTagName("league")[0].attributes.getNamedItem("id").value;
			xmlResult[i]["leaguename"] = games[i].getElementsByTagName("league")[0].childNodes[0].nodeValue;
			xmlResult[i]["ht_name"] = games[i].getElementsByTagName("hometeam")[0].childNodes[0].nodeValue;
			xmlResult[i]["ht_avatarid"] = games[i].getElementsByTagName("hometeam")[0].attributes.getNamedItem("avatarid").value;
			xmlResult[i]["at_name"] = games[i].getElementsByTagName("awayteam")[0].childNodes[0].nodeValue;
			xmlResult[i]["at_avatarid"] = games[i].getElementsByTagName("awayteam")[0].attributes.getNamedItem("avatarid").value;
			if (games[i].getElementsByTagName("homegoal").length > 0 && games[i].getElementsByTagName("homegoal")[0].childNodes.length > 0) {
				xmlResult[i]["homegoal"] = games[i].getElementsByTagName("homegoal")[0].childNodes[0].nodeValue;
			} else {
				xmlResult[i]["homegoal"] = "";
			}
			if (games[i].getElementsByTagName("awaygoal").length > 0 && games[i].getElementsByTagName("awaygoal")[0].childNodes.length > 0) {
				xmlResult[i]["awaygoal"] = games[i].getElementsByTagName("awaygoal")[0].childNodes[0].nodeValue;
			} else {
				xmlResult[i]["awaygoal"] = "";
			}
			
			xmlResult[i]["starttime"] = games[i].getElementsByTagName("starttime")[0].childNodes[0].nodeValue;
			xmlResult[i]["status"] = games[i].getElementsByTagName("status")[0].childNodes[0].nodeValue;
			xmlResult[i]["comment_count"] = games[i].getElementsByTagName("comments")[0].attributes.getNamedItem("count").value;
		}
		fillLiveMatchLst(xmlResult, itemCount, pageCount, p_tmpAjaxCount);
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_result_matchlist(p_teamid, p_leagueid, p_page, p_pagesize, p_func)
{
	params = "";
	params += "team=" + p_teamid;
	if (p_leagueid) params += "&league=" + p_leagueid;
	if (p_page != "false") params += "&page=" + p_page;
	if (p_pagesize) params += "&pagesize=" + p_pagesize;
	var url = api_request ('result/matchlist', params);
	ajaxCallCount++;
	var tmpAjaxCount = ajaxCallCount;
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_result_matchlist_result(req, p_func, tmpAjaxCount);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_result_matchlist_result(p_req, p_func, p_tmpAjaxCount)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var xmlResult = new Array();
		var gamelist = p_req.responseXML.getElementsByTagName("games")[0];
		var currPage = gamelist.attributes.getNamedItem("page").value;
		var itemCount = gamelist.attributes.getNamedItem("itemcount").value;
		var pageCount = gamelist.attributes.getNamedItem("pagecount").value;
		var games = gamelist.getElementsByTagName("game");
		for (i = 0; i < games.length; i++) {
			xmlResult[i] = new Array();
			xmlResult[i]["id"] = games[i].attributes.getNamedItem("id").value;
			xmlResult[i]["leagueid"] = games[i].getElementsByTagName("league")[0].attributes.getNamedItem("id").value;
			xmlResult[i]["leaguename"] = games[i].getElementsByTagName("league")[0].childNodes[0].nodeValue;
			xmlResult[i]["ht_name"] = games[i].getElementsByTagName("hometeam")[0].childNodes[0].nodeValue;
			xmlResult[i]["ht_avatarid"] = games[i].getElementsByTagName("hometeam")[0].attributes.getNamedItem("avatarid").value;
			xmlResult[i]["at_name"] = games[i].getElementsByTagName("awayteam")[0].childNodes[0].nodeValue;
			xmlResult[i]["at_avatarid"] = games[i].getElementsByTagName("awayteam")[0].attributes.getNamedItem("avatarid").value;
			if (games[i].getElementsByTagName("homegoal").length > 0 && games[i].getElementsByTagName("homegoal")[0].childNodes.length > 0) {
				xmlResult[i]["homegoal"] = games[i].getElementsByTagName("homegoal")[0].childNodes[0].nodeValue;
			} else {
				xmlResult[i]["homegoal"] = "";
			}
			if (games[i].getElementsByTagName("awaygoal").length > 0 && games[i].getElementsByTagName("awaygoal")[0].childNodes.length > 0) {
				xmlResult[i]["awaygoal"] = games[i].getElementsByTagName("awaygoal")[0].childNodes[0].nodeValue;
			} else {
				xmlResult[i]["awaygoal"] = "";
			}
			
			xmlResult[i]["starttime"] = games[i].getElementsByTagName("starttime")[0].childNodes[0].nodeValue;
			xmlResult[i]["status"] = games[i].getElementsByTagName("status")[0].childNodes[0].nodeValue;
			xmlResult[i]["comment_count"] = games[i].getElementsByTagName("comments")[0].attributes.getNamedItem("count").value;
		}
		p_func(xmlResult, currPage, itemCount, pageCount, p_tmpAjaxCount);
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_result_teamplayerlist(p_teamid, p_playerid)
{
	params = "id=" + p_teamid;
	var url = api_request ('result/teamplayerlist', params);
	ajaxCallCount++;
	var tmpAjaxCount = ajaxCallCount;
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_result_teamplayerlist_result(req, p_playerid, tmpAjaxCount);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_result_teamplayerlist_result(p_req, p_playerid, p_tmpAjaxCount)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var xmlResult = new Array();
		var players = p_req.responseXML.getElementsByTagName("profile");
		if (p_playerid) {
			for (i = 0; i < players.length; i++) {
				if ( players[i].getElementsByTagName("id")[0].childNodes[0].nodeValue == p_playerid){
					xmlResult["id"] = players[i].getElementsByTagName("id")[0].childNodes[0].nodeValue;
					xmlResult["picture"] = players[i].getElementsByTagName("picture")[0].childNodes[0].nodeValue;
					xmlResult["nickname"] = players[i].getElementsByTagName("nickname")[0].childNodes[0].nodeValue;
					xmlResult["name"] = players[i].getElementsByTagName("name")[0].childNodes[0].nodeValue;
					xmlResult["height"] = players[i].getElementsByTagName("height")[0].childNodes[0].nodeValue;
					xmlResult["weight"] = players[i].getElementsByTagName("weight")[0].childNodes[0].nodeValue;
					xmlResult["birthday"] = players[i].getElementsByTagName("birthday")[0].childNodes[0].nodeValue;
					xmlResult["nationality"] = players[i].getElementsByTagName("nationality")[0].childNodes[0].nodeValue;
					xmlResult["position"] = players[i].getElementsByTagName("position")[0].childNodes[0].nodeValue;
					xmlResult["hometown"] = players[i].getElementsByTagName("hometown")[0].childNodes[0].nodeValue;
					xmlResult["number"] = players[i].getElementsByTagName("number")[0].childNodes[0].nodeValue;
					xmlResult["gamesplayed"] = players[i].getElementsByTagName("gamesplayed")[0].childNodes[0].nodeValue;
					xmlResult["gamescompleted"] = players[i].getElementsByTagName("gamescompleted")[0].childNodes[0].nodeValue;
					xmlResult["timeplayedaverage"] = players[i].getElementsByTagName("timeplayedaverage")[0].childNodes[0].nodeValue;
					xmlResult["timeplayedtotal"] = players[i].getElementsByTagName("timeplayedtotal")[0].childNodes[0].nodeValue;
					xmlResult["fullgames"] = players[i].getElementsByTagName("fullgames")[0].childNodes[0].nodeValue;
					xmlResult["timessubstituted"] = players[i].getElementsByTagName("timessubstituted")[0].childNodes[0].nodeValue;
					xmlResult["timesunsubstituted"] = players[i].getElementsByTagName("timesunsubstituted")[0].childNodes[0].nodeValue;
					xmlResult["yellowcards"] = players[i].getElementsByTagName("yellowcards")[0].childNodes[0].nodeValue;
					xmlResult["doubleyellowcards"] = players[i].getElementsByTagName("doubleyellowcards")[0].childNodes[0].nodeValue;
					xmlResult["redcards"] = players[i].getElementsByTagName("redcards")[0].childNodes[0].nodeValue;
					xmlResult["owngoals"] = players[i].getElementsByTagName("owngoals")[0].childNodes[0].nodeValue;
					xmlResult["goals"] = players[i].getElementsByTagName("goals")[0].childNodes[0].nodeValue;
				}
			}
			fillMyTeamPlayerDetails(xmlResult, p_tmpAjaxCount);
		}
		else {
			for (i = 0; i < players.length; i++) {
				xmlResult[i] = new Array();
				xmlResult[i]["id"] = players[i].getElementsByTagName("id")[0].childNodes[0].nodeValue;
				xmlResult[i]["picture"] = players[i].getElementsByTagName("picture")[0].childNodes[0].nodeValue;
				xmlResult[i]["number"] = players[i].getElementsByTagName("number")[0].childNodes[0].nodeValue;
				xmlResult[i]["name"] = players[i].getElementsByTagName("name")[0].childNodes[0].nodeValue;
				xmlResult[i]["position"] = players[i].getElementsByTagName("position")[0].childNodes[0].nodeValue;
			}
			fillMyTeamPlayerLst(xmlResult, p_tmpAjaxCount);
		}
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_result_leaguetable(p_leagueid, p_func)
{
	params = "id=" + p_leagueid;
	var url = api_request ('result/leaguetable', params);
	ajaxCallCount++;
	var tmpAjaxCount = ajaxCallCount;
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_result_leaguetable_result(req, p_func, tmpAjaxCount);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_result_leaguetable_result(p_req, p_func, p_tmpAjaxCount)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var xmlResult = new Array();
		var tmpLeagueid = "";
		var tmpLeaguename = "";
		if (p_req.responseXML.getElementsByTagName("leaguetable")[0]) {
			var leaguetable = p_req.responseXML.getElementsByTagName("leaguetable")[0];
			tmpLeagueid = leaguetable.attributes.getNamedItem("id").value;
			tmpLeaguename = leaguetable.attributes.getNamedItem("name").value;
			var rows = leaguetable.getElementsByTagName("row");
			for (i = 0; i < rows.length; i++) {
				xmlResult[i] = new Array();
				if (rows[i].getElementsByTagName("id").length > 0 && rows[i].getElementsByTagName("id")[0].childNodes.length > 0) {
					xmlResult[i]["id"] = rows[i].getElementsByTagName("id")[0].childNodes[0].nodeValue;
				}
				else {
					xmlResult[i]["id"] = "";
				}
				if (rows[i].getElementsByTagName("avatarid").length > 0 && rows[i].getElementsByTagName("avatarid")[0].childNodes.length > 0) {
					xmlResult[i]["avatarid"] = rows[i].getElementsByTagName("avatarid")[0].childNodes[0].nodeValue;
				}
				else {
					xmlResult[i]["avatarid"] = "";
				}
				xmlResult[i]["pos"] = rows[i].getElementsByTagName("pos")[0].childNodes[0].nodeValue;
				xmlResult[i]["name"] = rows[i].getElementsByTagName("name")[0].childNodes[0].nodeValue;
				xmlResult[i]["gamesplayed"] = rows[i].getElementsByTagName("gamesplayed")[0].childNodes[0].nodeValue;
				xmlResult[i]["win"] = rows[i].getElementsByTagName("win")[0].childNodes[0].nodeValue;
				xmlResult[i]["draw"] = rows[i].getElementsByTagName("draw")[0].childNodes[0].nodeValue;
				xmlResult[i]["lost"] = rows[i].getElementsByTagName("lost")[0].childNodes[0].nodeValue;
				xmlResult[i]["gf"] = rows[i].getElementsByTagName("gf")[0].childNodes[0].nodeValue;
				xmlResult[i]["ga"] = rows[i].getElementsByTagName("ga")[0].childNodes[0].nodeValue;
				xmlResult[i]["points"] = rows[i].getElementsByTagName("points")[0].childNodes[0].nodeValue;
			}
		}
		p_func(xmlResult, tmpLeagueid, tmpLeaguename, p_tmpAjaxCount);
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_result_leagueround(p_leagueid, p_roundid, p_func)
{
	params = "id=" + p_leagueid;
	if (p_roundid) params += "&round=" + p_roundid;
	var url = api_request ('result/leagueround', params);
	ajaxCallCount++;
	var tmpAjaxCount = ajaxCallCount;
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_result_leagueround_result(req, p_func, tmpAjaxCount);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_result_leagueround_result(p_req, p_func, p_tmpAjaxCount)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var xmlResult = new Array();
		var round = p_req.responseXML.getElementsByTagName("round")[0];
		var roundid = round.attributes.getNamedItem("id").value;
		if (round.getElementsByTagName("name").length > 0 && round.getElementsByTagName("name")[0].childNodes.length > 0) {
			roundname = round.getElementsByTagName("name")[0].childNodes[0].nodeValue;
		} else {
			roundname = "";
		}
		var nextRound = round.attributes.getNamedItem("next").value;
		var prevRound = round.attributes.getNamedItem("previous").value;
		var games = round.getElementsByTagName("game");
		for (i = 0; i < games.length; i++) {
			xmlResult[i] = new Array();
			xmlResult[i]["id"] = games[i].attributes.getNamedItem("id").value;
			xmlResult[i]["ht_name"] = games[i].getElementsByTagName("hometeam")[0].childNodes[0].nodeValue;
			xmlResult[i]["ht_avatarid"] = games[i].getElementsByTagName("hometeam")[0].attributes.getNamedItem("avatarid").value;
			xmlResult[i]["at_name"] = games[i].getElementsByTagName("awayteam")[0].childNodes[0].nodeValue;
			xmlResult[i]["at_avatarid"] = games[i].getElementsByTagName("awayteam")[0].attributes.getNamedItem("avatarid").value;
			if (games[i].getElementsByTagName("homegoal").length > 0 && games[i].getElementsByTagName("homegoal")[0].childNodes.length > 0) {
				xmlResult[i]["homegoal"] = games[i].getElementsByTagName("homegoal")[0].childNodes[0].nodeValue;
			} else {
				xmlResult[i]["homegoal"] = "";
			}
			if (games[i].getElementsByTagName("awaygoal").length > 0 && games[i].getElementsByTagName("awaygoal")[0].childNodes.length > 0) {
				xmlResult[i]["awaygoal"] = games[i].getElementsByTagName("awaygoal")[0].childNodes[0].nodeValue;
			} else {
				xmlResult[i]["awaygoal"] = "";
			}
			
			xmlResult[i]["starttime"] = games[i].getElementsByTagName("starttime")[0].childNodes[0].nodeValue;
			xmlResult[i]["status"] = games[i].getElementsByTagName("status")[0].childNodes[0].nodeValue;
		}
		p_func(xmlResult, roundid, roundname, nextRound, prevRound, p_tmpAjaxCount);
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_result_teamlist(p_leagueid, p_func)
{
	params = "id=" + p_leagueid;
	var url = api_request ('result/teamlist', params);
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_result_teamlist_result(req, p_func);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_result_teamlist_result(p_req, p_func)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var xmlResult = new Array();
		var teamlist = p_req.responseXML.getElementsByTagName("teamlist")[0];
		var teams = teamlist.getElementsByTagName("team");
		for (i = 0; i < teams.length; i++) {
			xmlResult[i] = new Array();
			xmlResult[i]["id"] = teams[i].attributes.getNamedItem("id").value;
			xmlResult[i]["avatarid"] = teams[i].attributes.getNamedItem("avatarid").value;
			xmlResult[i]["name"] = teams[i].getElementsByTagName("name")[0].childNodes[0].nodeValue;
		}
		p_func(xmlResult);
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_result_match(p_id)
{
	params = "id=" + p_id;
	var url = api_request ('result/match', params);
	ajaxCallCount++;
	var tmpAjaxCount = ajaxCallCount;
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_result_match_result(req, tmpAjaxCount);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_result_match_result(p_req, p_tmpAjaxCount)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var xmlResult = new Array();
		var gameInfo = new Array();
		var game = p_req.responseXML.getElementsByTagName("game")[0];
		gameInfo["id"] = game.attributes.getNamedItem("id").value;
		gameInfo["ht_id"] = game.getElementsByTagName("hometeam")[0].attributes.getNamedItem("id").value;
		gameInfo["ht_name"] = game.getElementsByTagName("hometeam")[0].getElementsByTagName("name")[0].childNodes[0].nodeValue;
		gameInfo["ht_avatarid"] = game.getElementsByTagName("hometeam")[0].attributes.getNamedItem("avatarid").value;
		gameInfo["at_id"] = game.getElementsByTagName("awayteam")[0].attributes.getNamedItem("id").value;
		gameInfo["at_name"] = game.getElementsByTagName("awayteam")[0].getElementsByTagName("name")[0].childNodes[0].nodeValue;
		gameInfo["at_avatarid"] = game.getElementsByTagName("awayteam")[0].attributes.getNamedItem("avatarid").value;
		if (game.getElementsByTagName("homegoal").length > 0 && game.getElementsByTagName("homegoal")[0].childNodes.length > 0) {
			gameInfo["homegoal"] = game.getElementsByTagName("homegoal")[0].childNodes[0].nodeValue;
		} else {
			gameInfo["homegoal"] = "";
		}
		if (game.getElementsByTagName("awaygoal").length > 0 && game.getElementsByTagName("awaygoal")[0].childNodes.length > 0) {
			gameInfo["awaygoal"] = game.getElementsByTagName("awaygoal")[0].childNodes[0].nodeValue;
		} else {
			gameInfo["awaygoal"] = "";
		}
		gameInfo["starttime"] = game.getElementsByTagName("starttime")[0].childNodes[0].nodeValue;
		gameInfo["status"] = game.getElementsByTagName("status")[0].childNodes[0].nodeValue;
		gameInfo["leagueid"] = game.getElementsByTagName("league")[0].attributes.getNamedItem("id").value;
		gameInfo["leaguename"] = game.getElementsByTagName("league")[0].childNodes[0].nodeValue;
		gameInfo["roundid"] = game.getElementsByTagName("round")[0].attributes.getNamedItem("id").value;
		var events = game.getElementsByTagName("event");
		for (i = 0; i < events.length; i++) {
			xmlResult[i] = new Array();
			xmlResult[i]["team"] = events[i].attributes.getNamedItem("team").value;
			xmlResult[i]["time"] = events[i].attributes.getNamedItem("time").value;
			xmlResult[i]["type"] = events[i].attributes.getNamedItem("type").value;
			xmlResult[i]["text"] = events[i].attributes.getNamedItem("text").value;
			xmlResult[i]["player"] = events[i].attributes.getNamedItem("player").value;
		}
		fillMatchLiveFeed(xmlResult, gameInfo, p_tmpAjaxCount);
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_result_matchplayerlist(p_id)
{
	params = "id=" + p_id;
	var url = api_request ('result/matchplayerlist', params);
	ajaxCallCount++;
	var tmpAjaxCount = ajaxCallCount;
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_result_matchplayerlist_result(req, tmpAjaxCount);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_result_matchplayerlist_result(p_req, p_tmpAjaxCount)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var homeTeam = new Array();
		var awayTeam = new Array();
		var gameInfo = new Array();
		var game = p_req.responseXML.getElementsByTagName("game")[0];
		gameInfo["id"] = game.attributes.getNamedItem("id").value;
		var tmpHome = game.getElementsByTagName("hometeam")[0];
		var tmpAway = game.getElementsByTagName("awayteam")[0];
		gameInfo["ht_id"] = tmpHome.attributes.getNamedItem("id").value;
		gameInfo["ht_name"] = tmpHome.getElementsByTagName("name")[0].childNodes[0].nodeValue;
		gameInfo["ht_avatarid"] = tmpHome.attributes.getNamedItem("avatarid").value;
		gameInfo["at_id"] = tmpAway.attributes.getNamedItem("id").value;
		gameInfo["at_name"] = tmpAway.getElementsByTagName("name")[0].childNodes[0].nodeValue;
		gameInfo["at_avatarid"] = tmpAway.attributes.getNamedItem("avatarid").value;
		if (game.getElementsByTagName("homegoal").length > 0 && game.getElementsByTagName("homegoal")[0].childNodes.length > 0) {
			gameInfo["homegoal"] = game.getElementsByTagName("homegoal")[0].childNodes[0].nodeValue;
		} else {
			gameInfo["homegoal"] = "";
		}
		if (game.getElementsByTagName("awaygoal").length > 0 && game.getElementsByTagName("awaygoal")[0].childNodes.length > 0) {
			gameInfo["awaygoal"] = game.getElementsByTagName("awaygoal")[0].childNodes[0].nodeValue;
		} else {
			gameInfo["awaygoal"] = "";
		}
		gameInfo["starttime"] = game.getElementsByTagName("starttime")[0].childNodes[0].nodeValue;
		gameInfo["status"] = game.getElementsByTagName("status")[0].childNodes[0].nodeValue;
		gameInfo["leagueid"] = game.getElementsByTagName("league")[0].attributes.getNamedItem("id").value;
		gameInfo["roundid"] = game.getElementsByTagName("round")[0].attributes.getNamedItem("id").value;
		var players = tmpHome.getElementsByTagName("player");
		for (i = 0; i < players.length; i++) {
			homeTeam[i] = new Array();
			homeTeam[i]["number"] = players[i].getElementsByTagName("number")[0].childNodes[0].nodeValue;
			homeTeam[i]["name"] = players[i].getElementsByTagName("name")[0].childNodes[0].nodeValue;
			homeTeam[i]["position"] = players[i].getElementsByTagName("position")[0].childNodes[0].nodeValue;
		}
		var players = tmpAway.getElementsByTagName("player");
		for (i = 0; i < players.length; i++) {
			awayTeam[i] = new Array();
			awayTeam[i]["number"] = players[i].getElementsByTagName("number")[0].childNodes[0].nodeValue;
			awayTeam[i]["name"] = players[i].getElementsByTagName("name")[0].childNodes[0].nodeValue;
			awayTeam[i]["position"] = players[i].getElementsByTagName("position")[0].childNodes[0].nodeValue;
		}
		fillMatchLineup(gameInfo, homeTeam, awayTeam, p_tmpAjaxCount);
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_result_matchcomments(p_id, p_page, p_pagesize, p_filter)
{
	params = "id=" + p_id;
	if (p_page) params += "&page=" + p_page;
	if (p_pagesize) params += "&pagesize=" + p_pagesize;
	if (p_filter == "myFriends") {
		 params += "&onlyFriends=true";
	} else if (p_filter == "myTeam") {
		params += "&teamId=" + userprofile["teamid"];
	} else if (p_filter == "myLang"){
		params += "&language=" + userprofile["language"];
	}
	var url = api_request ('result/matchcomments', params);
	ajaxCallCount++;
	var tmpAjaxCount = ajaxCallCount;
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_result_matchcomments_result(req, tmpAjaxCount);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_result_matchcomments_result(p_req, p_tmpAjaxCount)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var comments = new Array();
		var gameInfo = new Array();
		var game = p_req.responseXML.getElementsByTagName("game")[0];
		gameInfo["id"] = game.attributes.getNamedItem("id").value;
		var tmpHome = game.getElementsByTagName("hometeam")[0];
		var tmpAway = game.getElementsByTagName("awayteam")[0];
		gameInfo["ht_id"] = tmpHome.attributes.getNamedItem("id").value;
		gameInfo["ht_name"] = tmpHome.getElementsByTagName("name")[0].childNodes[0].nodeValue;
		gameInfo["ht_avatarid"] = tmpHome.attributes.getNamedItem("avatarid").value;
		gameInfo["at_id"] = tmpAway.attributes.getNamedItem("id").value;
		gameInfo["at_name"] = tmpAway.getElementsByTagName("name")[0].childNodes[0].nodeValue;
		gameInfo["at_avatarid"] = tmpAway.attributes.getNamedItem("avatarid").value;
		if (game.getElementsByTagName("homegoal").length > 0 && game.getElementsByTagName("homegoal")[0].childNodes.length > 0) {
			gameInfo["homegoal"] = game.getElementsByTagName("homegoal")[0].childNodes[0].nodeValue;
		} else {
			gameInfo["homegoal"] = "";
		}
		if (game.getElementsByTagName("awaygoal").length > 0 && game.getElementsByTagName("awaygoal")[0].childNodes.length > 0) {
			gameInfo["awaygoal"] = game.getElementsByTagName("awaygoal")[0].childNodes[0].nodeValue;
		} else {
			gameInfo["awaygoal"] = "";
		}
		gameInfo["starttime"] = game.getElementsByTagName("starttime")[0].childNodes[0].nodeValue;
		gameInfo["status"] = game.getElementsByTagName("status")[0].childNodes[0].nodeValue;
		gameInfo["leagueid"] = game.getElementsByTagName("league")[0].attributes.getNamedItem("id").value;
		gameInfo["roundid"] = game.getElementsByTagName("round")[0].attributes.getNamedItem("id").value;
		var itemCount = game.getElementsByTagName("comments")[0].attributes.getNamedItem("itemcount").value;
		var pageCount = game.getElementsByTagName("comments")[0].attributes.getNamedItem("pagecount").value;
		var commentLst = game.getElementsByTagName("comment");
		for (i = 0; i < commentLst.length; i++) {
			comments[i] = new Array();
			comments[i]["time"] = api_timestamp(commentLst[i].getElementsByTagName("time")[0].childNodes[0].nodeValue, false, "notification");
			comments[i]["content"] = commentLst[i].getElementsByTagName("content")[0].childNodes[0].nodeValue;
			tmpProfile = commentLst[i].getElementsByTagName("profile")[0];
			comments[i]["userid"] = tmpProfile.attributes.getNamedItem("id").value;
			comments[i]["nick"] = tmpProfile.getElementsByTagName("nick")[0].childNodes[0].nodeValue;
			comments[i]["avatarid"] = tmpProfile.getElementsByTagName("avatarid")[0].childNodes[0].nodeValue;
		}
		fillMatchComments(gameInfo, comments, itemCount, pageCount, p_tmpAjaxCount);
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_result_commentmatch(p_matchId, p_comment)
{
	params = "id=" + p_matchId;
	if (p_comment) params += "&comment=" + p_comment;
	var url = api_request ('result/commentmatch', params);
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_result_commentmatch_result(req, p_matchId);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_result_commentmatch_result(p_req, p_id)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		try {
			var status = p_req.responseXML.getElementsByTagName("status")[0].childNodes[0].nodeValue;
			handleMatchComment_response(status, p_id);
		}
		catch(e){
			handleMatchComment_response("OK", p_id);
		}
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_message_messagelist(p_filter, p_page, p_pagesize)
{
	params = "";
	params += "filter=" + p_filter;
	if (p_page) params += "&page=" + p_page;
	if (p_pagesize) params += "&pagesize=" + p_pagesize;
	var url = api_request ('message/messagelist', params);
	ajaxCallCount++;
	var tmpAjaxCount = ajaxCallCount;
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_message_messagelist_result(req, p_filter, tmpAjaxCount);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_message_messagelist_result(p_req, p_filter, p_tmpAjaxCount)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
			var xmlResult = new Array();
			var msglist = p_req.responseXML.getElementsByTagName("messagelist")[0];
			var itemCount = msglist.attributes.getNamedItem("itemcount").value;
			var pageCount = msglist.attributes.getNamedItem("pagecount").value;
			var msgs = msglist.getElementsByTagName("message");
			for (i=0; i<msgs.length; i++){
				xmlResult[i] = new Array();
				xmlResult[i]["count"] = 0;
				xmlResult[i]["id"] = msgs[i].attributes.getNamedItem("id").value;
				if (msgs[i].getElementsByTagName("title").length > 0 && msgs[i].getElementsByTagName("title")[0].childNodes.length > 0) {
					xmlResult[i]["title"] = msgs[i].getElementsByTagName("title")[0].childNodes[0].nodeValue;
				} else {
					xmlResult[i]["title"] = "";
				}
				xmlResult[i]["time"] = api_timestamp(msgs[i].getElementsByTagName("time")[0].childNodes[0].nodeValue, false, "none");
				xmlResult[i]["comment_count"] = msgs[i].getElementsByTagName("comments")[0].attributes.getNamedItem("count").value;
				if (p_filter == "RECEIVED"){
					xmlResult[i]["status"] = msgs[i].attributes.getNamedItem("status").value;
					var tmpSender = msgs[i].getElementsByTagName("sender")[0];
					xmlResult[i]["senderid"] = tmpSender.attributes.getNamedItem("id").value;
					xmlResult[i]["sendernick"] = tmpSender.getElementsByTagName("nick")[0].childNodes[0].nodeValue;
					xmlResult[i]["senderavatarid"] = tmpSender.getElementsByTagName("avatarid")[0].childNodes[0].nodeValue;
				} else if (p_filter == "SENT"){
					var tmpRecipient = msgs[i].getElementsByTagName("recipients")[0];
					xmlResult[i]["count"] = tmpRecipient.attributes.getNamedItem("count").value;
					if (xmlResult[i]["count"] > 0) {
						xmlResult[i]["recipientid"] = tmpRecipient.getElementsByTagName("profile")[0].attributes.getNamedItem("id").value;
						xmlResult[i]["recipientnick"] = tmpRecipient.getElementsByTagName("profile")[0].getElementsByTagName("nick")[0].childNodes[0].nodeValue;
						xmlResult[i]["recipientavatarid"] = tmpRecipient.getElementsByTagName("profile")[0].getElementsByTagName("avatarid")[0].childNodes[0].nodeValue;
					}
				} else {
					var tmpSender = msgs[i].getElementsByTagName("sender")[0];
					xmlResult[i]["senderid"] = tmpSender.attributes.getNamedItem("id").value;
					xmlResult[i]["sendernick"] = tmpSender.getElementsByTagName("nick")[0].childNodes[0].nodeValue;
					xmlResult[i]["senderavatarid"] = tmpSender.getElementsByTagName("avatarid")[0].childNodes[0].nodeValue;
				}
			}
		fillMsgLst(xmlResult, itemCount, pageCount, p_filter, p_tmpAjaxCount);
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_message_readmessage (p_msgId)
{
	params = "id=" + p_msgId;
	var url = api_request ('message/readmessage', params);
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_message_teammessagelist(p_page, p_pagesize)
{
	params = "";
	if (p_page) params += "&page=" + p_page;
	if (p_pagesize) params += "&pagesize=" + p_pagesize;
	if (params.charAt(0) == "&") params = params.substr(1);
	var url = api_request ('message/teammessagelist', params);
	ajaxCallCount++;
	var tmpAjaxCount = ajaxCallCount;
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_message_teammessagelist_result(req, tmpAjaxCount);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_message_teammessagelist_result(p_req, p_tmpAjaxCount)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
			var xmlResult = new Array();
			var msglist = p_req.responseXML.getElementsByTagName("messagelist")[0];
			var itemCount = msglist.attributes.getNamedItem("itemcount").value;
			var pageCount = msglist.attributes.getNamedItem("pagecount").value;
			var msgs = msglist.getElementsByTagName("message");
			for (i=0; i<msgs.length; i++){
				xmlResult[i] = new Array();
				xmlResult[i]["id"] = msgs[i].attributes.getNamedItem("id").value;
				if (msgs[i].getElementsByTagName("title").length > 0 && msgs[i].getElementsByTagName("title")[0].childNodes.length > 0) {
					xmlResult[i]["title"] = msgs[i].getElementsByTagName("title")[0].childNodes[0].nodeValue;
				} else {
					xmlResult[i]["title"] = "";
				}
				xmlResult[i]["time"] = api_timestamp(msgs[i].getElementsByTagName("time")[0].childNodes[0].nodeValue, false, "none");
				tmpSender = msgs[i].getElementsByTagName("sender")[0];
				xmlResult[i]["senderid"] = tmpSender.attributes.getNamedItem("id").value;
				xmlResult[i]["sendernick"] = tmpSender.getElementsByTagName("nick")[0].childNodes[0].nodeValue;
				xmlResult[i]["senderavatarid"] = tmpSender.getElementsByTagName("avatarid")[0].childNodes[0].nodeValue;
				xmlResult[i]["comment_count"] = msgs[i].getElementsByTagName("comments")[0].attributes.getNamedItem("count").value;
			}
		fillMyTeamTeamMsg(xmlResult, itemCount, pageCount, p_tmpAjaxCount);
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_message_message(p_id, p_func, p_type, p_redirect)
{
	params = "id=" + p_id;
	var url = api_request ('message/message', params);
	ajaxCallCount++;
	var tmpAjaxCount = ajaxCallCount;
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_message_message_result(req, p_func, p_type, p_redirect, tmpAjaxCount);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_message_message_result(p_req, p_func, p_type, p_redirect, p_tmpAjaxCount)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var xmlResult = new Array();
		var message = p_req.responseXML.getElementsByTagName("message")[0];
		xmlResult["id"] = message.attributes.getNamedItem("id").value;
		if (message.getElementsByTagName("title").length > 0 && message.getElementsByTagName("title")[0].childNodes.length > 0) {
			xmlResult["title"] = message.getElementsByTagName("title")[0].childNodes[0].nodeValue;
		}
		else {
			xmlResult["title"] = "";
		}
		xmlResult["time"] = api_timestamp(message.getElementsByTagName("time")[0].childNodes[0].nodeValue, false, "none");
		if (message.getElementsByTagName("image").length > 0 && message.getElementsByTagName("image")[0].childNodes.length > 0) {
			xmlResult["image"] = message.getElementsByTagName("image")[0].childNodes[0].nodeValue;
		} else {
			xmlResult["image"] = "";
		}
		xmlResult["video"] = new Array();
		xmlResult["video"]["thumb"] = "";
		xmlResult["video"]["url"] = "";
		if (message.getElementsByTagName("video").length > 0 && message.getElementsByTagName("video")[0].childNodes.length > 0) {
			var urlTypes = message.getElementsByTagName("video")[0].getElementsByTagName("url");
			for (var i = 0; i < urlTypes.length; i++) {
				if (urlTypes[i].attributes.getNamedItem("format").value == "1") 
					xmlResult["video"]["url"] = urlTypes[i].childNodes[0].nodeValue;
				if (urlTypes[i].attributes.getNamedItem("format").value == "5") 
					xmlResult["video"]["thumb"] = urlTypes[i].childNodes[0].nodeValue;
			}
		}
		if (message.getElementsByTagName("content").length > 0 && message.getElementsByTagName("content")[0].childNodes.length > 0) {
			xmlResult["content"] = message.getElementsByTagName("content")[0].childNodes[0].nodeValue;
		}
		else {
			xmlResult["content"] = "";
		}
		var tmpSender = message.getElementsByTagName("sender")[0];
		xmlResult["sendernick"] = tmpSender.getElementsByTagName("nick")[0].childNodes[0].nodeValue;
		xmlResult["senderavatarid"] = tmpSender.getElementsByTagName("avatarid")[0].childNodes[0].nodeValue;
		xmlResult["recipients"] = "";
		if (p_type == "private"){
			var tmpRecipients = message.getElementsByTagName("recipients")[0].getElementsByTagName("profile");
			for (i=0; i<tmpRecipients.length; i++){
				xmlResult["recipients"] += tmpRecipients[i].getElementsByTagName("nick")[0].childNodes[0].nodeValue;
				if (i < tmpRecipients.length - 1) xmlResult["recipients"] += ", ";
			}
		}
		p_func(xmlResult, p_redirect, p_tmpAjaxCount);
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_message_messagecomments(p_id, p_page, p_pagesize, p_filter, p_func)
{
	params = "id=" + p_id;
	if (p_page) params += "&page=" + p_page;
	if (p_pagesize) params += "&pagesize=" + p_pagesize;
	if (p_filter == "myFriends") {
		 params += "&onlyFriends=true";
	} else if (p_filter == "myTeam") {
		params += "&teamId=" + userprofile["teamid"];
	} else if (p_filter == "myLang"){
		params += "&language=" + userprofile["language"];
	}
	var url = api_request ('message/messagecomments', params);
	ajaxCallCount++;
	var tmpAjaxCount = ajaxCallCount;
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_message_messagecomments_result(req, p_id, p_func, tmpAjaxCount);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_message_messagecomments_result(p_req, p_id, p_func, p_tmpAjaxCount)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var xmlResult = new Array();
		var commentlist = p_req.responseXML.getElementsByTagName("comments")[0];
		var itemCount = commentlist.attributes.getNamedItem("itemcount").value;
		var pageCount = commentlist.attributes.getNamedItem("pagecount").value;
		var comments = commentlist.getElementsByTagName("comment");
		for (i = 0; i < comments.length; i++) {
			xmlResult[i] = new Array();
			xmlResult[i]["time"] = api_timestamp(comments[i].getElementsByTagName("time")[0].childNodes[0].nodeValue, false, "notification");
			xmlResult[i]["content"] = comments[i].getElementsByTagName("content")[0].childNodes[0].nodeValue;
			tmpProfile = comments[i].getElementsByTagName("profile")[0];
			xmlResult[i]["userid"] = tmpProfile.attributes.getNamedItem("id").value;
			xmlResult[i]["nick"] = tmpProfile.getElementsByTagName("nick")[0].childNodes[0].nodeValue;
			xmlResult[i]["avatarid"] = tmpProfile.getElementsByTagName("avatarid")[0].childNodes[0].nodeValue;
		}
		p_func(xmlResult, p_id, itemCount, pageCount, p_tmpAjaxCount);
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_message_sendfriendmessage(p_friendIds, p_subject, p_content, p_attachment)
{
	if (p_attachment == ""){
		var params = "toFriends=" + p_friendIds;
		if (p_subject) params += "&title=" + p_subject;
		if (p_content) params += "&content=" + p_content;
	
		var url = api_request ('message/sendmessage', params);
		
		var req = new XMLHttpRequest();
		req.onreadystatechange = function(){
			api_message_sendfriendmessage_result(req);
		};
		try {
			netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
		}
		catch(e){ }
		req.open("GET", url);
		req.send(null);
	} else {
		var params = {
			"do" : "message/sendMessage",
			"toFriends" : p_friendIds,
			"title" : p_subject,
			"content" : p_content,
			"session" : sid
		};
		APIBridge.fileUpload ("img", p_attachment, "http://mobile.teamblogger.eu/apiSLB/index.php", params, function(res)
		{
			api_message_sendfriendmessage_result(res);
		}, function(res)
		{
			alert("uploading file failed!");
		});
	}
}

function api_message_sendfriendmessage_result(p_req)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		try {
			var status = p_req.responseXML.getElementsByTagName("status")[0].childNodes[0].nodeValue;
			handleNewMsg_response(status);
		}
		catch(e){
			handleNewMsg_response("OK");
		}
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_message_commentmessage(p_msgId, p_comment)
{
	params = "messageId=" + p_msgId;
	if (p_comment) params += "&comment=" + p_comment;
	var url = api_request ('message/commentmessage', params);
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_message_commentmessage_result(req, p_msgId);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_message_commentmessage_result(p_req, p_id)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		try {
			var status = p_req.responseXML.getElementsByTagName("status")[0].childNodes[0].nodeValue;
			handleMsgComment_response(status, p_id);
		}
		catch(e){
			handleMsgComment_response("OK", p_id);
		}
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_media_albumlist(p_id, p_type, p_page, p_pagesize, p_func)
{
	var params = "";
	if (p_id) params = "id=" + p_id;
	if (p_type) params = "id=" + p_type;
	if (p_page) params += "&page=" + p_page;
	if (p_pagesize) params += "&pagesize=" + p_pagesize;
	if (params.charAt(0) == "&") params = params.substr(1);
	var url = api_request ('media/albumlist', params);
	ajaxCallCount++;
	var tmpAjaxCount = ajaxCallCount;
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_media_albumlist_result(req, p_func, tmpAjaxCount);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_media_albumlist_result(p_req, p_func, p_tmpAjaxCount)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var xmlResult = new Array();
		var albumlist = p_req.responseXML.getElementsByTagName("albumlist")[0];
		var itemCount = albumlist.attributes.getNamedItem("itemcount").value;
		var pageCount = albumlist.attributes.getNamedItem("pagecount").value;
		var albums = albumlist.getElementsByTagName("album");
		for (i = 0; i < albums.length; i++) {
			xmlResult[i] = new Array();
			xmlResult[i]["id"] = albums[i].attributes.getNamedItem("id").value;
			xmlResult[i]["type"] = albums[i].attributes.getNamedItem("type").value;
			if (albums[i].getElementsByTagName("thumbid").length > 0 && albums[i].getElementsByTagName("thumbid")[0].childNodes.length > 0) {
				xmlResult[i]["thumbid"] = albums[i].getElementsByTagName("thumbid")[0].childNodes[0].nodeValue;
			}
			else {
				xmlResult[i]["thumbid"] = "";
			}
			if (albums[i].getElementsByTagName("thumburl").length > 0 && albums[i].getElementsByTagName("thumburl")[0].childNodes.length > 0) {
				xmlResult[i]["thumburl"] = albums[i].getElementsByTagName("thumburl")[0].childNodes[0].nodeValue;
			}
			else {
				xmlResult[i]["thumburl"] = "";
			}
			xmlResult[i]["updated"] = albums[i].getElementsByTagName("updated")[0].childNodes[0].nodeValue;
			xmlResult[i]["name"] = albums[i].getElementsByTagName("name")[0].childNodes[0].nodeValue;
			xmlResult[i]["filecount"] = albums[i].getElementsByTagName("filecount")[0].childNodes[0].nodeValue;
		}
		p_func(xmlResult, itemCount, pageCount, p_tmpAjaxCount);
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_media_albumfilelist(p_id, p_page, p_pagesize)
{
	var params = "id=" + p_id;
	if (p_page) params += "&page=" + p_page;
	if (p_pagesize) params += "&pagesize=" + p_pagesize;
	var url = api_request ('media/albumfilelist', params);
	ajaxCallCount++;
	var tmpAjaxCount = ajaxCallCount;
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_media_albumfilelist_result(req, p_id, tmpAjaxCount);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_media_albumfilelist_result(p_req, p_albumid, p_tmpAjaxCount)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var xmlResult = new Array();
		var filelist = p_req.responseXML.getElementsByTagName("filelist")[0];
		var itemCount = filelist.attributes.getNamedItem("itemcount").value;
		var pageCount = filelist.attributes.getNamedItem("pagecount").value;
		var files = filelist.getElementsByTagName("file");
		for (i = 0; i < files.length; i++) {
			xmlResult[i] = new Array();
			xmlResult[i]["id"] = files[i].attributes.getNamedItem("id").value;
			xmlResult[i]["type"] = files[i].attributes.getNamedItem("type").value;
			xmlResult[i]["thumburl"] = files[i].getElementsByTagName("thumburl")[0].childNodes[0].nodeValue;
			xmlResult[i]["url"] = files[i].getElementsByTagName("url")[0].childNodes[0].nodeValue;
			if (files[i].getElementsByTagName("created").length > 0 && files[i].getElementsByTagName("created")[0].childNodes.length > 0) {
				xmlResult[i]["created"] = files[i].getElementsByTagName("created")[0].childNodes[0].nodeValue;
			} else {
				xmlResult[i]["created"] = "";
			} 
			if (files[i].getElementsByTagName("description").length > 0 && files[i].getElementsByTagName("description")[0].childNodes.length > 0) {
				xmlResult[i]["description"] = files[i].getElementsByTagName("description")[0].childNodes[0].nodeValue;
			}
			else {
				xmlResult[i]["description"] = "";
			} 
			xmlResult[i]["size"] = files[i].getElementsByTagName("size")[0].childNodes[0].nodeValue;
			xmlResult[i]["commentCount"] = files[i].getElementsByTagName("comments")[0].attributes.getNamedItem("count").value;
		}
		fillAlbumFileList(xmlResult, p_albumid, itemCount, pageCount, p_tmpAjaxCount);
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_media_albumfile(p_albumid, p_fileid)
{
	var params = "albumid=" + p_albumid;
	params += "&fileid=" + p_fileid;
	var url = api_request ('media/albumfile', params);
	ajaxCallCount++;
	var tmpAjaxCount = ajaxCallCount;
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_media_albumfile_result(req, tmpAjaxCount);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_media_albumfile_result(p_req, p_tmpAjaxCount)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var xmlResult = new Array();
		var file = p_req.responseXML.getElementsByTagName("file")[0];
		xmlResult["id"] = file.attributes.getNamedItem("id").value;
		xmlResult["type"] = file.attributes.getNamedItem("type").value;
		xmlResult["next"] = file.attributes.getNamedItem("next").value;
		xmlResult["prev"] = file.attributes.getNamedItem("prev").value;
		if (file.getElementsByTagName("name").length > 0 && file.getElementsByTagName("name")[0].childNodes.length > 0) {
			xmlResult["name"] = file.getElementsByTagName("name")[0].childNodes[0].nodeValue;
		}
		else {
			xmlResult["name"] = "";
		}
		if (xmlResult["type"] == "video"){
			var urlTypes = file.getElementsByTagName("url");
			for (var i = 0; i < urlTypes.length; i++) {
				if (urlTypes[i].attributes.getNamedItem("format").value == "1") 
					xmlResult["video"] = urlTypes[i].childNodes[0].nodeValue;
				if (urlTypes[i].attributes.getNamedItem("format").value == "5") 
					xmlResult["url"] = urlTypes[i].childNodes[0].nodeValue;
			}
		} else {
			xmlResult["url"] = file.getElementsByTagName("url")[0].childNodes[0].nodeValue;
		}
		xmlResult["created"] = file.getElementsByTagName("created")[0].childNodes[0].nodeValue;
		if (file.getElementsByTagName("description").length > 0 && file.getElementsByTagName("description")[0].childNodes.length > 0) {
			xmlResult["description"] = file.getElementsByTagName("description")[0].childNodes[0].nodeValue;
		}
		else {
			xmlResult["description"] = "";
		}
		xmlResult["size"] = file.getElementsByTagName("size")[0].childNodes[0].nodeValue;
		fillAlbumFile(xmlResult, p_tmpAjaxCount);
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_media_albumfilecomments(p_id, p_page, p_pagesize, p_filter, p_func)
{
	params = "id=" + p_id;
	if (p_page) params += "&page=" + p_page;
	if (p_pagesize) params += "&pagesize=" + p_pagesize;
	if (p_filter == "myFriends") {
		 params += "&onlyFriends=true";
	} else if (p_filter == "myTeam") {
		params += "&teamId=" + userprofile["teamid"];
	} else if (p_filter == "myLang"){
		params += "&language=" + userprofile["language"];
	}
	var url = api_request ('media/albumfilecomments', params);
	ajaxCallCount++;
	var tmpAjaxCount = ajaxCallCount;
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_media_albumfilecomments_result(req, p_id, p_func, tmpAjaxCount);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_media_albumfilecomments_result(p_req, p_id, p_func, p_tmpAjaxCount)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var xmlResult = new Array();
		var commentlist = p_req.responseXML.getElementsByTagName("comments")[0];
		var itemCount = commentlist.attributes.getNamedItem("itemcount").value;
		var pageCount = commentlist.attributes.getNamedItem("pagecount").value;
		var comments = commentlist.getElementsByTagName("comment");
		for (i = 0; i < comments.length; i++) {
			xmlResult[i] = new Array();
			xmlResult[i]["time"] = api_timestamp(comments[i].getElementsByTagName("time")[0].childNodes[0].nodeValue, false, "notification");
			xmlResult[i]["content"] = comments[i].getElementsByTagName("content")[0].childNodes[0].nodeValue;
			tmpProfile = comments[i].getElementsByTagName("profile")[0];
			xmlResult[i]["userid"] = tmpProfile.attributes.getNamedItem("id").value;
			xmlResult[i]["nick"] = tmpProfile.getElementsByTagName("nick")[0].childNodes[0].nodeValue;
			xmlResult[i]["avatarid"] = tmpProfile.getElementsByTagName("avatarid")[0].childNodes[0].nodeValue;
		}
		p_func(xmlResult, p_id, itemCount, pageCount, p_tmpAjaxCount);
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_media_commentalbumitem(p_fileId, p_comment)
{
	params = "albumItemId=" + p_fileId;
	if (p_comment) params += "&comment=" + p_comment;
	var url = api_request ('media/commentalbumitem', params);
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_media_commentalbumitem_result(req, p_fileId);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_media_commentalbumitem_result(p_req, p_id)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		try {
			var status = p_req.responseXML.getElementsByTagName("status")[0].childNodes[0].nodeValue;
			handleAlbumFileComment_response(status, p_id);
		}
		catch(e){
			handleAlbumFileComment_response("OK", p_id);
		}
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_media_createalbum(p_name)
{
	params = "name=" + p_name;
	params += "&type=0";
	var url = api_request ('media/createalbum', params);
	
	var req = new XMLHttpRequest();
	req.onreadystatechange = function(){
		api_media_createalbum_result(req);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_media_createalbum_result(p_req)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		try {
			var status = p_req.responseXML.getElementsByTagName("status")[0].childNodes[0].nodeValue;
			handleAddAlbum_response(status);
		}
		catch(e){
			handleAddAlbum_response("OK");
		}
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_media_uploadalbumfile(p_albumid, p_filename, p_title, p_descr)
{
	var params = {
		"do" : "media/uploadAlbumFile",
		"albumid" : p_albumid,
		"title" : p_title,
		"description" : p_descr,
		"session" : sid
	};
	APIBridge.fileUpload ("img", p_filename, "http://mobile.teamblogger.eu/apiSLB/index.php", params, function(res)
	{
		api_media_uploadalbumfile_result(res);
	}, function(res)
	{
		alert("uploading file failed!");
	});
}

function api_media_uploadalbumfile_result(p_req)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		try {
			var status = p_req.responseXML.getElementsByTagName("status")[0].childNodes[0].nodeValue;
			handleAddAlbumFile_response(status);
		}
		catch(e){
			handleAddAlbumFile_response("OK");
		}
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_media_deletealbum(p_albumId)
{
	params = "albumId=" + p_albumId;
	var url = api_request ('media/deletealbum', params);
	var req = new XMLHttpRequest();
	
	req.onreadystatechange = function(){
		api_media_deletealbum_result(req);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_media_deletealbum_result(p_req)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		try {
			var status = p_req.responseXML.getElementsByTagName("status")[0].childNodes[0].nodeValue;
			handleAlbumDelete_response(status);
		}
		catch(e){
			handleAlbumDelete_response("OK");
		}
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_media_deletealbumfile(p_albumFileId)
{
	params = "albumItemId=" + p_albumFileId;
	var url = api_request ('media/deletealbumfile', params);
	var req = new XMLHttpRequest();
	
	req.onreadystatechange = function(){
		api_media_deletealbumfile_result(req);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_media_deletealbumfile_result(p_req)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		try {
			var status = p_req.responseXML.getElementsByTagName("status")[0].childNodes[0].nodeValue;
			handleAlbumFileDelete_response(status);
		}
		catch(e){
			handleAlbumFileDelete_response("OK");
		}
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		if (p_req.status == 0){
			loadError_noConnection();
		} else {
			loadError_serverNotAvailable();
		}
	}
}

function api_update_checkUpdate(p_type)
{
	var url = tmpUpdateUrl + "?" + new Date().getTime();
	var req = new XMLHttpRequest();
	
	req.onreadystatechange = function(){
		api_update_checkUpdate_result(req, p_type);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_update_checkUpdate_result(p_req, p_type)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		tmpVersionNrAvailable = p_req.responseXML.getElementsByTagName("appversion")[0].childNodes[0].nodeValue;
		if (p_type != "quickCheck") {
			var xmlResult = new Array();
			xmlResult["appid"] = p_req.responseXML.getElementsByTagName("appid")[0].childNodes[0].nodeValue;
			xmlResult["appversion"] = p_req.responseXML.getElementsByTagName("appversion")[0].childNodes[0].nodeValue;
			xmlResult["updatelink"] = p_req.responseXML.getElementsByTagName("updatelink")[0].childNodes[0].nodeValue;
			showCheckUpdateResult(xmlResult, tmpVersionNr);
		}
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		//loadError_serverNotAvailable();
	}
}

function api_update_checkUpgrade()
{
	var url = tmpUpdateUrl + "?" + new Date().getTime();
	var req = new XMLHttpRequest();
	
	req.onreadystatechange = function(){
		api_update_checkUpgrade_result(req);
	};
	try {
		netscape.security.PrivilegeManager.enablePrivilege ("UniversalBrowserRead");
	}
	catch(e){ }
	req.open("GET", url);
	req.send(null);
}

function api_update_checkUpgrade_result(p_req)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var tmpResult = "";
		if (p_req.responseXML.getElementsByTagName("upgradelink").length > 0 && p_req.responseXML.getElementsByTagName("upgradelink")[0].childNodes.length > 0) {
			tmpResult = p_req.responseXML.getElementsByTagName("upgradelink")[0].childNodes[0].nodeValue;
		}
		handlePlayVideoFile(tmpResult);
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		//loadError_serverNotAvailable();
	}
}

function api_ads_getBanners(p_adsContainer, p_refreshInfo)
{
	if (p_refreshInfo) {
		var url = setting_adsUrl + "?" + new Date().getTime();
		var req = new XMLHttpRequest();
		
		req.onreadystatechange = function(){
			api_ads_getBanners_result(req, p_adsContainer);
		};
		try {
			netscape.security.PrivilegeManager.enablePrivilege("UniversalBrowserRead");
		} 
		catch (e) {
		}
		req.open("GET", url);
		req.send(null);
	} else {
		fillAdContainer(p_adsContainer);
	}
}

function api_ads_getBanners_result(p_req, p_adsContainer)
{
	if (p_req.readyState == 4 && p_req.status == 200) {
		var adlist = p_req.responseXML.getElementsByTagName("ads")[0];
		maxAdIndex = adlist.attributes.getNamedItem("count").value;
		if (maxAdIndex > 0){
			if (adlist.attributes.getNamedItem("random").value == "1")
				adsRandom = true;
			if (adlist.attributes.getNamedItem("fillrate").value == "0")
				fillRateAmount = -1;
			else if (adlist.attributes.getNamedItem("fillrate").value == "100")
				fillRateAmount = 0;
			else
				fillRateAmount = (100 / parseInt(adlist.attributes.getNamedItem("fillrate").value)) - 1;
			fillRateCurrent =  fillRateAmount;
			var ads = adlist.getElementsByTagName("ad");
			arrAds = new Array();
			arrAdLinks = new Array();
			arrAdIds = new Array();
			for (i = 0; i < ads.length; i++) {
				arrAds[i] = ads[i].getElementsByTagName("imageurl")[0].childNodes[0].nodeValue;
				arrAdLinks[i] = ads[i].getElementsByTagName("linkurl")[0].childNodes[0].nodeValue;
				arrAdIds[i] = ads[i].attributes.getNamedItem("id").value;
			}
		} else {
			adsRandom = false;
			fillRateAmount = 0;
			fillRateCurrent = 0;
			arrAds = new Array();
			arrAdLinks = new Array();
			arrAdIds = new Array();
		}
		
		//fillAdContainer(p_adsContainer);
	} else if (p_req.readyState == 4 && p_req.status != 200) {
		//loadError_serverNotAvailable();
	}
}
